jQWidgets v17.0.1 Release, October-19-2023

What's Fixed:

- Fixed an issue in jqxGrid related to the Grid's rendering. Grid cells disappear, when the mouse is moved over the Google Chrome browser's Tabs. When the user moves 
back the mouse over the Grid, the cells appear again. This issue is related to the Google Chrome's latest version and the web browser's Hardware Acceleration should be turned off.

jQWidgets v17.0.0 Release, August-11-2023

What's New:

- Vue 3 Components Integration. In the installation package, you can find them in the jqwidgets-vue3 folder.
- SVG icons set. SVG icons allow us to achieve strict Content Security Policy (CSP) compliance
- jqxGrid Compact mode. You can enable it by setting the 'compact' property to true.
- jqxScheduler Current Time and Current Appointment

What's Improved:

- Fluent theme. You can switch to SVG icons usage, If you add the .jqx-icon-type-svg. For example, SVG icons are resolution-independent and display clearly on any device. By using SVG icons, we can reduce the security risk and improve the CSP compliance
- jqxInput drop-down browser bounds detection.

What's Fixed:

- Fixed an issue in jqxNavBar. When selection is false, items don't have any styling.
- Fixed an issue in jqxGrid. Pasting a selected row into another will overwrite even columns with editable:false.
- Fixed an issue in jqx.base.css. CSS rule for input[type="number"] is too general and affects non-jqx elements.
- Fixed an issue in jqxChart. The valueAxis settings causes bug.
- Fixed an issue in jqxMaskedInput. By using val method doesn't correctly set the value.
- Fixed an issue in jqxListBox. The group doesn't dissapear if all items of the group were removed.
- Fixed an issue in jqxGrid. The filtersearchstring is not localized with localizestring method.
- Fixed an issue in jqxKanban. removeItem does not work properly.

jQWidgets v16.0.0 Release, March-03-2023

What's New:

New Fluent Theme.

What's Fixed:

- Fixed an issue in jqxGrid about the "ensurerowvisible" method. It calculates wrong position when using "autorowheight" and paging.
- Fixed an issue in jqxGrid about the default selection in the filter dropdown when localization is applied to the Grid.
- Fixed an issue in jqxGrid about the "filterable" column property. It does not work in filterbarmode: 'simple'.
- Fixed an issue in jqxGrid about filtering with checkbox selection mode enabled.
- Fixed an issue in jqxGrid about column resizing. The auto resize columns when you have row details does not work.
- Fixed an issue in jqxGrid about the Grid selection when a filter is applied from the Column's Menu by pressing the enter key.
- Fixed an issue in jqxGrid. The page auto-scrolls to top, when column menu is opened for the first time.
- Fixed an issue in jqxGrid about the adaptive layout. It shows undefined column if selection is 'checkmode'.
- Fixed an issue in jqxGrid about the column filtertype - "list" and localizing the filterchoosestring. This causes incorrect behavior with the filtering behavior.
- Fixed an issue in jqxGrid about the filterType:'input'. It throws an error when filterstringcomparisonoperators is localized.
- Fixed an issue in jqxGrid about the date range filter. The filter is lost after loading a previously saved state with the "loadstate" method.
- Fixed an issue in jqxGrid about the "getselectedrowindexes" method. It returns empty array, if row is selected with keyboard arrow up/down.
- Fixed an issue in jqxDropDownList about the Material theme. When checkboxes are enabled, the dropdown does not open after the first click.
- Fixed an issue in jqxDropDownList, jqxComboBox and jqxDateTimeInput about the dropdown animation in the Material, Light and Dark themes.
- Fixed an issue in jqxPasswordInput about the "val" method. It does not set correct value when the method is called dynamically.
- Fixed an issue in jqxKanban about the "itemrenderer" method. The method is not called after dragging an item from one kanban instance to another.
- Fixed an issue in jqxKanban about the "addItem" method. It does not work correctly when "id" is not included in the new item's data.
- Fixed an issue in jqxKanban about the "updateItem" method. It adds a duplicate to the items array returned by "getItems" method
- Fixed an issue in jqxKanban about the add/remove event handlers, when there are multiple kanbans in the page.
- Fixed an issue in jqxKanban about the rendering of the collapse arrow in the Material, Light and Dark themes.
- Fixed an issue in jqxSplitter. It throws error when resizing on touch screen.


jQWidgets v15.0.0 Release, Nov-14-2022

What's New:

- jqxCheckBoxGroup Component.
- jqxRadioButtonGroup Component.

What's Improved:

- jqxGrid support for Ctrl+Click when sorting by multiple columns.
- jqxGrid - cardview mode - add support for cellclassname.

What's Fixed:

- Fixed an issue in jqxChart. saveAsJPEG does not work with annotations.
- Fixed an issue in jqxPasswordInput (Angular). The change event not triggering properly.
- Fixed an issue in jqxGrid. The  cellvaluechanged event is beinged trigger when cell's type is date.
- Fixed an issue in jqxGrid. A Charting error with datafields array results in incorrect rendering.
- Fixed an issue in jgxGrid. updaterow with array does not update the grid when filter is applied.
- Fixed an issue in jqxGrid. Export without provided file name does not work.
- Fixed an issue in jqxGrid. clears state on disabling.
- Fixed an issue in jqxGrid .filter working incorrectly when using localization with filterchoosestring.
- Fixed an issue in jqxGrid. export to xlsx not working with some themes.
- Fixed an issue in jqxScheduler. Month Days > 31 Bug in edit dialog.
- Fixed an issue in jqxDropDownList. Angular missing scrollBarSize property.
- Fixed an issue in jqxScheduler. editDialogOpen 'dialog' variable reference.
- Fixed an issue in jqxScheduler. Recursive appointment does not get added.
- Fixed an issue in jqxNumberInput. When spinButtonsStep>10 and min<0, the spinButtons stop working.
- Fixed an issue in jqxNumberInput. Incorrect cursor placement editing negative number.
- Fixed an issue in jqxListBox. Getting wrong selected item when filter is applied.
- Fixed an issue in jqxDateTimeInput. Mobile mode with time popup.
- Fixed an issue in jqxDateTimeInput. Month only input. Padding on buttons not applied initially.
- Fixed an issue in jqxMaskedInput about not updating value on 'Delete' key press.

jQWidgets v14.0.0 Release, May-01-2022

What's New:

- jqxGrid command column.
- Barcode component.
- QRcode component.

What's Improved:

- Light theme is updated with more modern look and feel.

What's Fixed:

- Fixed an issue in jqxDataTable. 2nd level nested table disappears.
- Fixed an issue in jqxSlider - the "created" event does not fire.
- Fixed an issue in jqxNumberInput - spin buttons unexpected behavior. When decimalDigits and digits properties are set to 2 and the spin buttons are enabled with spinButtonsStep=0.1, the buttons don't work.
- Fixed an issue in jqxGrid - card view mode - cards change position during scroll
- Fixed an issue in jqxGrid - card view mode - cards are not fully displayed but there is no scrollbar
- Fixed an issue in jqxGrid - rowsheight is not preserved when you switch to cardview mode and then back to grid mode
- Fixed an issue in jqxGrid issue when used within a jqxSplitter component
- Fixed an issue in jqxGrid bug when having pinned columns doesn't scroll on the next column on key press


jQWidgets v13.2.0 Release, Jan-27-2022

What's New:

- jqxGrid Columns render is enhanced with badges showing the column's sort index.

What's Improved:

- jqxSwitchButton events API. Added changeType argument.

What's Fixed:

- Fixed an issue in jqxKanban. 'itemMoved' event returns 'args.NewColumn' as null
- Fixed an issue in jqxKanban. When dropping a card from one Kanban to another Kanban element
- Fixed an issue in jqxNumberInput. When trying to get negative value
- Fixed an issue in jqxGrid. Filtering clears the bound data when used with filter row and custom list items
- Fixed an issue in jqxGrid. Aggregates are not updated when the source of the grid is changed
- Fixed an issue in jqxGrid. ExportView - xlsx does not format dates if there is any null values
- Fixed an issue in jqxTabs. Adds new div element every time when 'setTitleAt' method is used
- Fixed an issue in jqxGrid. Filtering issue when the grid is initially loaded( when using show filter row)
- Fixed an issue in jqxGrid. When having localization set and filtering issue


What's Fixed:


jQWidgets v13.1.0 Release, Nov-16-2021

What's Fixed:

- Fixed an issue in jqxScheduler. jqxScheduler refreshes only to 12:00 AM hour when the source of the scheduler is changed.
- Fixed an issue in jqxGrid. jqxGrid with filtermode set to excel doesn't work properly on columns with number type column data.
- Fixed an issue in jqxGrid. jqxGrid - cannot filtering with the "showfilterbar" property when the "editable" property is enabled.
- Fixed an issue in jqxGrid. jqxGrid - StatusBar Row placed too low.
- Fixed an issue in jqxInput. jqxInput does not fire 'keyup' event #449.
- Fixed an issue in jqxNumberInput. jqxNumberInput doesn't remove the minus symbol when value is set from negative to positive.
- Fixed an issue in jqxDropDownList. jqxDropdownList select event is not firing in Safarai (Ipad & iphone).
- Fixed an issue in jqxListBox. jqxListbox typing the filter input clears the SelectedItem.
- Fixed an issue in jqxValidator. jqxValidator doesn't validate jqxDateTimeInput widget.
- Fixed an issue in jqxGrid. jqxGrid with rating column - tooltip inconsistent behavior.
- Fixed an issue in jqxNumberInput. jqxNumberInput - in simple inputMode with '-' sign 'Delete' key deletes one char away from cursor.
- Fixed an issue in jqxGrid. jqxGrid - pressing with the pointer of the mouse on the vertical scrollbar does not stop in its position.
- Fixed an issue in jqxGrid. jqxGrid rating column addittional properties. Added "ratingmax" property for setting the count of rating items.


jQWidgets v13.0.0 Release, Nov-11-2021

What's New:

- Angular 13 support

jQWidgets v12.2.0 Release, Sep-21-2021

What's New:

- jqxGrid Batch Edit mode

What's Fixed:

- Fixed an issue in jqxGrid Copy paste large numbers in jqxGrid.
- Fixed an issue in jqxGrid.  The addrow method when using with rowPosition parameter doesn't place the row in the right place.
- Fixed an issue in JqxGrid Horizontal Scrolling. When some of the columns are pinned and we try to navigate with tab or keyboard.
- Fixed an issue in jqxInput. Shows native autocomplete popup after entering a value.
- Fixed an issue in jqxGrid with paging and some of the themes. Arrows for next/previous page are displaced.
- Fixed an issue in jqxDropDownButton. It is not focusable on Tab key press.
- Fixed an issue in jqxGrid. Scrolls to top of the grid when deleting row.
- Fixed an issue in jqxGrid Column Chooser about the events raised when the column choosed is opened or closed.
- Fixed an issue in jqxSortable about receive event not raised.
- Fixed an issue in jqxGrid about createeditor callback.
- Fixed an issue in jqxGrid. When dragging a column header it has to be drag it to the line of the filtering box for the grouping to work and it results in bad UI experience
- Fixed an issue in DockingLayout regarding saveLayout and loadLayout, when a floating dialog is created.

jQWidgets v12.1.2 Release, June-28-2021

What's Improved:

- Added 'enableSanitizeAll' option to jqxGrid. 
- Light and Dark Themes for jqxDataTable, jqxTreeGrid and jqxScheduler. 


jQWidgets v12.1.1 Release, June-23-2021

What's Fixed:

- Fixed an issue in jqxGrid regarding the 'cellsformat', when enableSanitize is true.
- Fixed an issue in jqxGrid regarding the 'cellsrenderer' value argument type.
- Fixed an issue in jqxDataTable regarding the HTML sanitization.
- Fixed an issue in jqxTree regarding an error thrown in mobile mode.
- Fixed an issue in jqxPanel regarding the 'focused' property behavior. 

jQWidgets v12.1.0 Release, June-18-2021

What's New:

- jqxSplitLayout component for Angular & Javascript

What's Improved:

- jqxGrid HTML Sanitization.
- jqxDateTimeInput and jqxNumberInput mobile device UX.
- jqxDateTimeInput delete button element which allows you to quickly clear the date.
- Angular 12 integration.

What's Fixed:

- Fixed an issue in jqxGrid regarding its focus method behavior.
- Fixed an issue in jqxGrid List Filter with DropDown which has filterable enabled and source property set to a custom value. The Grid was not applying the correct filter when the DropDown items were filtered, too.
- Fixed an issue in jqxGrid regarding the XSS attack prevention.
- Fixed an issue in jqxGrid regarding the keyboard navigation when sorting and grouping are applied.
- Fixed an issue in jqxNumberInput which allowed entering of letters when used on mobile device.
- Fixed an issue in jqxNumberInput regarding the percentages and currency editing on mobile device.
- Fixed an issue in jqxDateTimeInput which allowed entering of letters when used on mobile device.
- Fixed an issue in jqxSlider regarding the tooltip hide delay property when the thumb is dragged.
- Fixed an issue in jqxInput regarding the popup closing when Material theme is applied.
- Fixed an issue in jqxDataTable about the "enableBrowserSelection" property set to the "true" value does not work properly
- Fixed an issue in jqxMaskedInput when the component is used on Android device the input was incorrect.
- Fixed an issue in jqxMaskedInput when the component is used on a mobile device, the default keyboard was shown instead of the numeric keyboard.


jQWidgets v12.0.4 Release, Apr-15-2021

What's Improved:

- Extended jqxGrid cells styling options with fontFamily and fontWeight options.

What's Fixed:

- Fixed an issue regarding the val() method for input components using Light, Dark and the Material Themes.
- Fixed an issue regarding the "disabled" property of jqxInput.
- Fixed an issue regarding the placeholder visibility of inputs using Light and Dark themes.
- Fixed an issue regarding the jqxInput popup usage with touchpads.
- Fixed an issue regarding the jqxGrid resources disposal, when re-rendering the component.

jQWidgets v12.0.1 Release, Mar-06-2021

What's New:

- jqxGrid Cardview Custom Value Templates

What's Improved:

- jqxGrid Cardview scrolling UX on mobile devices.

What's Fixed:

- Fixed an issue related to popups in jqxGrid Filter Menu.
- Fixed an issue related to jqxGrid adaptive mode, when the adaptive mode is dynamically switched on/off.


jQWidgets v12.0.0 Release, Feb-24-2021

What's New:

- jqxGrid Card View mode.
- Angular v11.2.2 support.

What's Fixed:

- Fixed an issue regarding the jqxNumberInput component. Using the "val" method with the negative value it behaves inappropriately when is with the "simple" input mode
- Fixed an issue regarding the jqxKnob component usage with IPad when there are multiple knobs on the page. 
- Fixed an issue regarding the grid filtering, when the grid data source is updated dynamically and a filter is applied.
- Fixed an issue regarding the filter menu rendering when row details are enabled.
- Fixed an issue regarding the jqxPivotGrid Drill through functionality and selection events.

jQWidgets v11.1.3 Release, Feb-09-2021

What's Fixed:

- Fixed an issue regarding the Angular CLI ng-add schematics.
- Fixed an issue regarding the Angular CLI ng-generate schematics.
- Fixed an issue regarding the default theme in Angular 11.1.4.
- Fixed an issue regarding the stricter type checking in Angular

*********************************************
* jQWidgets v11.0.1 Release, Dec-09-2020    *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding the Sorting icons rendering in energyblue and darkblue themes.

*********************************************
* jQWidgets v11.0.0 Release, Nov-16-2020    *
*********************************************

What's New:

- Angular 11 support.

What's Fixed:

- Fixed an issue in jqxScheduler regarding the ensureVisible method.
- Fixed an issue in jqxScheduler regarding the 'appointmentClick' event in agenda view.
- Fixed an issue in jqxGrid regarding the cell class name styling.
- Fixed an issue in jqxGrid when the Grid is displayed in a DropDownButton and the animationType is "none".
- Fixed an issue in jqxInput regarding the HTML sanitization.
- Fixed an issue in jqxKnob regarding the 'changing' callback.
- Fixed an issue in jqxInput regarding the "change" event raised multiple times.
- Fixed an issue in ThemeBuilder when importing a theme.
- Fixed an issue in ThemeBuilder regarding the DateTimeInput icon.
- Fixed an issue in jqxToolbar regarding the z-index of its dropdown button.
- Fixed an issue in jqxNumberInput regarding changed steps when pressing the spin down button.
- Fixed an issue in jqxTextArea regarding the "select" event.
- Fixed an issue in jqxKanban regarding the 'itemMoved' event for newly added item.
- Fixed an issue in jqxPasswordInput regarding its style.

*********************************************
* jQWidgets v10.1.6 Release, Oct-16-2020    *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding the scrolling with mouse wheel in Chrome 86.
- Fixed an issue in jqxGrid data export, when the data has symbols like &, @, etc.
- Fixed an issue in jqxForm regarding the hideComponent API.


*********************************************
* jQWidgets v10.1.5 Release, Sept-18-2020   *
*********************************************

What's Fixed:

- Fixed an issue in jqxPivotGrid regarding the html escape of characters.
- Fixed an issue in jqxGrid regarding the clipboard paste.
- Fixed an issue in jqxGrid regarding the undo and redo functionality.
- Fixed an issue in jqxGrid regarding the Ctrl+Space column selection.
- Fixed an issue in jqxGrid regarding the Ctrl+Shift+Space all rows selection.
- Fixed an issue in jqxGrid regarding the excel-like cells selection, when the Grid is bound to large data set.
- Fixed an issue in jqxGrid regarding the selection of all rows API, when the selection mode is set to excel-like cells selection mode.
- Fixed an issue in jqxGrid regarding the column resizing, when autofill property is set to true.

*********************************************
* jQWidgets v10.1.2 Release, Sept-07-2020   *
*********************************************

What's Fixed:

- jqxGrid - fixed a rendering issue regarding the 'autofill' behavior, when the parent element of jqxGrid is with margin.

*********************************************
* jQWidgets v10.1.0 Release, Sept-04-2020   *
*********************************************

What's New:

- Blazor UI Components. Demos: https://blazor.jqwidgets.com/. Docs: https://blazor.jqwidgets.com/documentation/.
- jqxGrid - Excel-like Horizontal and Vertical auto-fill.
- jqxGrid - Undo and Redo with Ctrl+Z, Ctrl+Y.
- jqxGrid - Ctrl+D. Pressing Ctrl+D fills the cell beneath with the contents of the selected cell in a column.
- jqxGrid - Ctrl+Space. Pressing Ctrl+Space selects the column.

What's Improved:

- Angular Reactive Forms support.

What's Fixed:

- Fixed an issue in jqxGrid about the "ensurerowvisible" method. It was not working properly with the "deferred" scrolling mode.
- Fixed an issue in jqxGrid (Mobile). Fast scrolling throws error in NsBasic app.
- Fixed an issue in jqxGrid about copy and paste date in the column from date type, it sets current date instead of copied one.
- Fixed an issue in jqxGrid about using the "ensurecellvisible" method when there are pinned columns.
- Fixed an issue in jqxGrid about using the "showfilterbar" property with editing.
- Fixed an issue in jqxGrid about missing "expanded" from "getgroup" method.
- Fixed an issue in jqxGrid about overlapping labels from sorting and filtering feature.
- Fixed an issue in jqxGrid about the "autoresizecolumns" method which does not react as it is expected.
- Fixed an issue in jqxGrid about the localization for the window of the Column Chooser.
- Fixed an issue in JqxGrid about paste in rowdetails input.
- Fixed an issue in jqxGrid about using grouping and column chooser. Wrong items were displayed in the column chooser.
- Fixed an issue in jqxGrid about disabling the exporting feature for just one column it does not have an effect with the "exportview" method.
- Fixed an issue in jqxGrid about possible security issue reported by Checkmarx utility tool, which scans the code for possible vulnerabilities.
- Fixed an issue in jqxGrid about changing of themes.
- Fixed an issue in jqxDataAdapter (FireFox) about formatting of dates appropriately when has comma ("," symbol.
- Fixed an issue in jqxInput (Angular) about reactive Form with the "reset" method of the forms.
- Fixed an issue in jqxInput about autocomplete click event, which triggers click on elements behind.
- Fixed an issue in jqxNumberInput about decimalSeparator and groupSeparator combination.
- Fixed an issue in jqxNumberInput about using the "decimalSeparator" property with the "," option it set inappropriate value with the "val" method.
- Fixed an issue in jqxDataTable about the "enableBrowseSelection" property.
- Fixed an issue in jqxDataTable about possible security issue reported by Checkmarx utility tool, which scans the code for possible vulnerabilities.
- Fixed an issue in jqxTreeGrid about possible security issue reported by Checkmarx utility tool, which scans the code for possible vulnerabilities.
- Fixed an issue in jqxKanban about "itemAttrClicked" event not working on mobile devices.
- Fixed an issue in jqxForm about the "hideComponent" method.
- Fixed an issue in jqxScheduler about incorrect behavior when trying to click on the current day (today) it does not react from the calendar.
- Fixed an issue in jqxScheduler about possible security issue reported by Checkmarx utility tool, which scans the code for possible vulnerabilities.
- Fixed an issue in JqxExpander about the Theme [Frog]. Text appears white on white background.
- Fixed an issue in jqxComboBox about selection of first item when the ComboBox is in multiple selection mode.
cannot choose the first item.
- Fixed an issue in jqxComboBox about incorrect HTML in the ComboBox template.
- Fixed an issue in jqxComboBox about possible security issue reported by Checkmarx utility tool, which scans the code for possible vulnerabilities.
- Fixed an issue in jqxDropDownList about the keyboard navigation and incremental search. The numbers from the "Num Lock" keys do not react.
- Fixed an issue in jqxDropDownList about possible security issue reported by Checkmarx utility tool, which scans the code for possible vulnerabilities.
- Fixed an issue in jqxListBox about possible security issue reported by Checkmarx utility tool, which scans the code for possible vulnerabilities.

*********************************************
* jQWidgets v10.0.2 Release, July-22-2020   *
*********************************************

What's New:

- Angular 10 support.
- Modern Light and Dark Themes with CSS variables support. 
- jqxGrid Filter all functionality.
- jqxGrid Excel import.
- New demos.

What's Fixed:

- Fixed themes related issues. Centering of Icons, foreground and background colors in hover, active and default states.


*********************************************
* jQWidgets v9.1.6 Release, May-18- 2020    *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid related to IE11 and sorting.
- Fixed an issue in jqxGrid related to multi-column sorting in Angular.
- Fixed an issue in jqxComboBox and jqxPanel regarding jQuery 3.5.1.
- Fixed an issue in jqxForm regarding duplicate ids.
- Fixed an issue in jqxForm when more than one jqxForm-s on page, dropdown list opens only in last form.

*********************************************
* jQWidgets v9.1.4 Release, Apr-15- 2020    *
*********************************************

What's Fixed:

- Fixed an issue regarding touch-devices detection.
- Fixed an issue in the jqx.base.css regarding jqxButton's disabled state.

*********************************************
* jQWidgets v9.1.3 Release, Apr-09- 2020    *
*********************************************

What's New:

- Schematics for the Angular CLI - Add and Generation Schematics are added to jqwidgets-ng npm package for easier setup of Angular projects. 
- jqxGrid Column Chooser. Modal dialog included in the Grid component, which allows you to dynamically show/hide grid columns.
- jqxScheduler UI Virtualization, which allows you to load thousands of appointments/events in the month and timeline views.

What's Improved:

- Angular Docs & Tutorials.

What's Fixed:

- Fixed an issue in jqxGrid charting IE11 support.
- Fixed an issue in jqxListBox - when using programmatically selection of all item the "getCheckedItems" method does not return all items in the "checkChange" event
- Fixed an issue in jqxGrid - when having more than 10 columns after the filtering in the next one there has appeared white strip.
- Fixed an issue in jqxGrid (React) - after filtering it break rendering of columns after 10th
- Fixed an issue in jqxSwitchButton - checked and unchecked events are swapped
- Fixed an issue in jqxGrid - when using sorting with option "many" and filtering it throws error
- Fixed an issue in jqxTree - error message with the newer version of the jQuery (v3.4.1)
- Fixed an issue in jqxGrid - when select/edit one cell and after that using tabbing it automatically checked the first checkbox
- Fixed an issue in jqxGrid - when using input inside the "rowdetails" option after tabbing from this input it select first row
- Fixed an issue in jqxPopover - close buttons closes all popovers on page
- Fixed an issue in jqxSwitchButton - with some the themes it looks like there is no chosen option
- Fixed an issue in Disabled button doesn't always block click event
- Fixed an issue in jqxGrid - keyboard navigation between groups broken when showgroupaggregates == true
- Fixed an issue in jqxGrid - cannot be grouped after toggling the "filterrow" option
- Fixed an issue in jqxComboBox - the "multiSelect" property and opening the list will select the first one
- Fixed an issue in jqxGrid - the "sortMode: 'many'" option only latest sorted column has correct options for its menu
- Fixed an issue in jqxGrid - not appropriate behavior when it is disabled - possible to change checkboxes
- Fixed an issue in jqxListBox - cannot be using the dragging feature after adding the new items
- Fixed an issue in jqxSwitchButton - there is no visual difference between disabled and enabled state


*********************************************
* jQWidgets v9.0.0 Release, Jan-03- 2020    *
*********************************************

What's New:

- jqxGrid Charting - Data Visualization of Grid data in a Chart.
- jqxGrid export to .xlsx data format.
- jqxGrid export with Data Grouping. 
- jqxGrid Progress and Rating columns.
- jqxGrid Rating cell editor with jqxRating.
- jqxGrid Material UI Pager Template.

What's Improved:

- All Angular examples are with Ivy rendering.
- jqxGrid Data Export performance.

- What's Fixed:

- Fixed various typescript issues related to Angular 9 compatibility.
- Fixed an issue in jqxGrid regarding the dropdownlist filter component positioning.
- Fixed an issue in jqxGrid regarding the tabindex of the grid menu, when multiple grids are on the page.
- Fixed an issue in jqxGrid regarding the row details display in Firefox.
- Fixed an issue in jqxGrid PDF export when header export is disabled.
- Fixed an issue in jqxGrid Dropdownlist filter popup position while scrolling.
- Fixed an issue in jqxGrid regarding the gethroup method results.
- Fixed an issue in jqxGrid regarding the grouping dragging errors associated with isPassive prop.
- Fixed an issue in jqxGrid regarding tabbing and editing with enabled RTL mode.
- Fixed an issue in jqxGrid regarding the multi sorting, when sorting is applied while the Grid data source is empty.
- Fixed an issue in jqxGrid regarding the editing after addrow method is called, while sorting is applied.
- Fixed an issue in jqxGrid regarding the addrow method, when the Grid's source is empty.
- Fixed an issue in jqxGrid regarding the grouping when aggregates and paging are turned on.
- Fixed an issue in jqxGrid regarding the editing, when the grid is initially empty and an editable row is added by calling addrow.
- Fixed an issue in jqxWindow regarding the resize method behavior.,
- Fixed an issue in jqxHeatMap rendering for IE11.
- Fixed an issue in jqxScheduler regarding the yearly recurrence edit.
- Fixed an issue in jqxScheduler regarding the work time, when the fromHour is set to 0.
- Fixed an issue in jqxTabs regarding the tabs rendering with Material themes.
- Fixed an issue in jqxTabs regarding the tabs close button behavior.
- Fixed an issue in jqxTreeGrid regarding the expandAll method and the checkboxes appearance after the treegrid is rendered.


*********************************************
* jQWidgets v8.3.2 Release, Oct-17 2019	               *
*********************************************

What's New:

- Angular Ivy support.

What's Fixed:

- Fixed an issue in jqxGrid Angular Component about Grouping error thrown by setbatchgroupstate function.
- Fixed an issue in jqxGrid about Filtering Dates, when the date format is custom.
- Fixed an issue in jqxGrid about Filtering with custom source.filter callback function.
- Fixed an issue in jqxGrid about autoheight rendering overlap.
- Fixed an issse in jqxGrid about adding new row. The boundindex of the row was not set so editing it was not possible.
- Fixed an issue in jqxGrid about an error when using showfilterrow, groupable and autoloadstate.
- Fixed an issue in jqx.black.css about an outdated CSS syntax.
- Fixed an issue in jqxScheduler about rendering of appointments in TimelineView.
- Fixed an issue in jqxDataTable and jqxTreeGrid about dynamically changing the columnGroups.
- Fixed an issue in jqxTreeGrid about dynamically setting the theme property.
- Fixed an issue in jqxTabs about the enabled "showCloseButtons" option with "reorder" option.

*********************************************
* jQWidgets v8.2.0 Release, Sep-17 2019	               *
*********************************************

What's New:

- Added Smart Web Components to the package. 

What's Fixed:

- Fixed Angular 8 related issue in jqxGrid grouping.
- Fixed Angular 8 related issue in jqxGrid filtering.
- Fixed Angular 8 related issue in jqxGrid, jqxDataTable and jqxTreeGrid about data export.
- Fixed Angular 8 related issue in jqxListBox about inserting new items.
- Fixed Angular 8 related issue in jqxCheckBox about the checked event.
- Fixed Angular 8 related issue in jqxGrid about the virtualization.
- Fixed Angular 8 related issue in jqxDateTimeInput about the Localization and Formatting.
- Fixed Angular 8 related issue in jqxCalendar about the Localization and Formatting.

- Fixed an 
*********************************************
* jQWidgets v8.1.4 Release, July-17 2019	               *
*********************************************

What's Fixed:

- Fixed an issue in jqxScheduler regarding the rendering of appointments in timelineDayView when "exactTime" is turned on, the scale is 10 minutes and the appointment's duration is less than 5 minutes.
- Fixed an issue in jqxScheduler resulting in error about globalize.js in Angular 8..

*********************************************
* jQWidgets v8.1.3 Release, July-15 2019	               *
*********************************************

What's Improved:

- jqxGrid row details can have variable dynamic height. 

What's Fixed: 

- Fixed an issue in jqxGrid about row details visibility in Firefox when the Grid has many columns.
- Fixed an issue in jqxGrid about incorrect filtering through checkedlist filter, when there is "null" value in the Grid's data.
- Fixed an issue in jqxGrid about scrolling right, then the exported data (xls) shows as a blank column.
- Fixed an issue in jqxScheduler about incorrectly rendered timeline appointment, when the appointment is longer than month, exact-time rendering is enabled and the view is timeline month view.
- Fixed an issue in jqxKanban about the columns rendering, expand and collapse, when trying to add dynamically new columns.
- Fixed an issue in jqxKanban addItem method. The kanban-item-id was incorrectly set.
- Fixed an issue in jqxKanban regarding dynamically setting the source. That may result to duplicated items in some cases.
- Fixed an issue in jqxDropDownList regarding the label rendering when the width is in percentages.
- Fixed an issue regarding Angular 8 production build, Globalize.js and jqxCalendar, jqxDateTimeInput and jqxScheduler.

*********************************************
* jQWidgets v8.1.2 Release, June-19-2019                *
*********************************************

What's Fixed:

- Fixed issues related to ESLint and Angular 8 production builds.

*********************************************
* jQWidgets v8.1.1 Release, June-17-2019                *
*********************************************

What's New: 

- Javascript Time Picker component.
- Javascript Heatmap component.

What's Fixed: 

- Fixed an issue in several components about Angular 8 production build error.
- Fixed an issue in jqxPivotGrid's setCellValue method behavior.
- Fixed an issue in jqxGrid. When scrolling to the last right column and using the "showvalidationpopup" method for the second column.
- Fixed an issue in jqxGrid. Selection rendering was incorrect after deleting a row.
- Fixed an issue in jqxGrid regarding the Data Export to Excel of Date Columns exported as Strings. Now, the data is correctly exported.
- Fixed an issue in jqxGrid when grouping aggregates are dynamically turned on/off.
- Fixed an issue in jqxNumberInput. When the initial state of the input is empty and the value is null, the editing was not working correctly.
- Fixed an issue in jqxNumberInput. Initial value is negative and rendering in "advanced" mode is wrong.
- Fixed an issue in jqxScheduler regarding the localization rendering when showWeekends is false.

*********************************************
* jQWidgets v8.0.0 Release, May-16-2019                *
*********************************************

What's New: 

- Material ColorPicker Javascript component.

What's Improved:

- Angular 8 components integration.

What's Fixed:

- Fixed an issue in jqxScheduler regarding the Edit Appointment dialog.
- Fixed an issue in jqxScheduler regarding the weekly recurring appointments when localization is applied. 
- Fixed an issue in jqxDateTimeInput Vue component.
- Fixed an issue in jqxInput regarding the maxlength property with material themes.
- Fixed an issue in jqxInput regarding its 'close' event.
- Fixed an issue in jqxNumberInput regarding the Null value support with material themes.
- Fixed an issue in jqxPasswordInput regarding its placeholder with material themes.
- Fixed an issue in jqxDateTimeInput Angular component regarding the placeholder property.


*********************************************
* jQWidgets v7.2.0 Release, Apr-15-2019                 *
*********************************************

What's Improved:

- jqxGrid resizing performance and rendering in responsive layouts.

What's Fixed:

- Fixed an issue in jqxButton regarding the dynamic changing of themes.
- Fixed an issue in jqxButton for removing an event listener after calling 'destroy'.
- Fixed an issue in jqxScheduler regarding the dynamic adding of appointments with resources.
- Fixed an issue in jqxGrid when "removesort" is called and the multi column sorting is enabled.
- Fixed an issue in jqxGrid when multi sort is enabled and columns height is changed dynamically.
- Fixed an issue in jqxGrid when multi sort is enabled and "updatebounddata" method is called with parameter "sort".
- Fixed an issue in jqxGrid when an item in filter row's checked list filter contains "and".
- Fixed an issue in jqxGrid when filtering currency values with checked list filter.
- Fixed an issue in jqxGrid when tabbing in case with "selectionmode: 'none'" select the first row.
- Fixed an issue in jqxGrid regarding the rendering when filtering and grouping are enabled. The grid is grouped by multiple columns and a filter is applied. 
- Fixed an issue in jqxGrid regarding the rendering while resizing. Sometimes horizontal scrollbar was shown.
- Fixed an issue in jqxGrid regarding keyboard navigation with pageUp and pageDown and scrolling when grouping is applied.
- Fixed an issue in jqxTreeGrid regarding the "scrollBarSize" property.
- Fixed an issue in jqxTreeGrid and jqxDataTable regarding the keyboard navigation with arrow keys and ensureRowVisible method.
- Fixed an issue in jqxPanel regarding the scrolling on mobile devices.
- Fixed an issue in jqxTree when ensureVisible is called for the last item and horizontal scrolling is available.
- Fixed an issue in jqxTree when ensureVisible is called for an item with sub-items.
- Fixed an issue in jqxChart regarding the formatFunction of the labels settings.
- Fixed an issue in jqxSlider regarding the moving of thumb after click on the slider's track. The thumb possition had several pixels offset.
- Fixed an issue with jqxDropDownList dropdown positioning on mobile devices.

*********************************************
* jQWidgets v7.1.0 Release, Feb-11-2019                *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding the ensurerowvisible method when grouping is enabled.
- Fixed an issue in jqxGrid regarding the keyboard navigation and selection when grouping is enabled. 
- Fixed an issue in jqxGrid regarding the scrollbarsize property behavior.
- Fixed an issue in jqxGrid regarding the number input editor when the editor is localized.
- Fixed an issue in jqxGrid regarding the columnemenuopening column callback function.
- Fixed an issue in jqxGrid regarding the filter menu with datetimeinput and its popup.
- Fixed an issue in jqxGrid regarding the filter menu with the "show rows where" and "show rows where date" strings.
- Fixed an issue in jqxNumberInput regarding its resize rendering behavior.
- Fixed an issue in jqxScheduler regarding the appointmentOpacity.
- Fixed an issue in jqxScheduler - the labels of the resources disappeared on changing of the date in 'timeline view
- Fixed an issue in jqxDateTimeInput with "allowNullDate" and initial 'null'.
- Fixed an issue in jqxTextArea regarding the 'selectAll' method.

*********************************************
* jQWidgets v7.0.0 Release, Jan-10-2019                *
*********************************************

What's New: 

- React components with TSX.

What's Improved:

- jqxGrid Columns and Cells custom styling. A 'style' column property has been introduced to make styling of cells and column headers easier.

What's Fixed:

- Fixed an issue in jqxScheduler recurrenceException thrown error when recurrenceException is not set, but recurrenceRule is.
- Fixed an issue in jqxScheduler recurrence issue. Reference: https://github.com/jqwidgets/jQWidgets/issues/25
- Fixed an issue in jqxScheduler TimelineMonthView rendering of appointments with exactTime rendering mode. Appointments were not rendered correctly. https://github.com/jqwidgets/jQWidgets/issues/16
- Fixed an issue in jqxScheduler Timeline views. Dragging and Resizing of appointments when the Scheduler is with absolute position. https://github.com/jqwidgets/jQWidgets/issues/19
- Fixed an issue in jqxGrid Time Filtering issue. Reference: https://github.com/jqwidgets/jQWidgets/issues/27
- Fixed an issue in jqxGrid regarding the validation popup diisplay for last row.
- Fixed an issue in jqxTreeGrid regarding the Aggregates rendering. https://github.com/jqwidgets/jQWidgets/issues/14
- Fixed an issue in jqxNumberInput's getvalue method when the decimalSeparator is ','.


*********************************************
* jQWidgets v6.2.0 Release, Dec-4-2018                 *
*********************************************
What's New:

- Angular Modules for all components - jqwidgets-ng folder.

What's Improved:

- When the Grid calls the DataAdapter's sort function, it now passes an additional third parameter which contains all sort columns and sort directions. 
	
            var source =
            {
                localdata: data,
                sortcolumns: ['productname', 'date'],
                sortdirections: ['asc', 'asc'],
                datatype: "array",
                sort: function (datafield, sortdirection, sortcolumns) {
                    for (var sortcolumn in sortcolumns) {
                        var direction = sortcolumns[sortcolumn];
                    }
                },
                datafields:
                [
                    { name: 'firstname', type: 'string' },
                    { name: 'lastname', type: 'string' },
                    { name: 'productname', type: 'string' },
                    {
                        name: 'date',
                        type: 'date'
                    },
                    { name: 'quantity', type: 'number' },
                    { name: 'price', type: 'number' },
                    { name: 'total', type: 'number' }
                ]
            };

What's Fixed:

- Fixed an issue in the rendering of jqxTree with checkboxes and jqxEditor with Material styles.
- Fixed an issue in jqxGrid regarding the multiple-column sorting of Date columns.
- Fixed an issue in jqxGrid regarding the multiple-column sorting in virtual mode. Even when there is no data, the sort arrows are rendered as in the single-sort mode.
- Fixed an issue in jqxScheduler regarding jQuery 3.3.1 and rendering of appointments on IPad in MonthView.
- Fixed an issue in jqxDateTimeInput regarding dates selection before 1970.
- Fixed an issue in jqxTreeGrid regarding the export to excel when aggregates are turned on.
- Fixed an issue in jqx.base.css file regarding *expression css names.

*********************************************
* jQWidgets v6.1.0 Release, October-01-2018         *
*********************************************

What's New:

- Vue JS Components

What's Improved:

- Added options to jqxDataAdapter to define Grid's sortcolumns and sortdirections on initialization.

What's Fixed:

- Fixed an issue in jqxGrid React component regarding rendering issues like double-headers, etc in some scenarios.
- Fixed an issue in jqxGrid regarding the deleterow method when the Grid is sorted by multiple columns.
- Fixed an issue in jqxGrid regarding duplicating "Please Choose" labels in dropdownlist filters.
- Fixed an issue in jqxNumberInput regarding the setDecimal method when the value is null.
- Fixed an issue in jqxNumberInput about wrong behaviour with negative numbers when events are raised.
- Fixed an issue in jqxEditor regarding the copy/paste.  
- Fixed an issue in jqxScheduler regarding rendering of MonthView appointments when Schedulers are placed in jqxTabs and the first one is hidden.
- Fixed an issue in jqxScheduler regarding the firstDay Localization setting.
- Fixed an issue in jqxFileUpload in Mozilla Firefox regarding the file's url rendering.
- Fixed an issue in jqxNotification rendering in Angular. 
- Fixed an issue in jqxInput two-way data binding.

*********************************************
* jQWidgets v6.0.6 Release, August-13-2018           *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding the columns rendering when everpresentrow and showfilterrow are enabled.
- Fixed an issue in jqxGrid regarding the multi-column sorting when the Grid is empty.
- Fixed an issue in jqxGrid regarding the multi-column sorting when the Grid column is with key/value pairs.
- Fixed an issue in jqxGrid data export when exporting a column with currency formatting and the rows count is 1.
- Fixed an issue in jqxGrid, jqxTreeGrid typescript definitions, when a method or property is set on ngOnInit.
- Fixed an issue in jqxCalendar rendering when firstDayOfWeek is changed.
- Fixed an issue in jqxForm Angular Component regarding the imports and resizing.
- Fixed an issue in jqxForm typescript definitions.
- Fixed an issue in jqxNumberInput regarding the value initialization when the widget is created.
- Fixed an issue in jqxDropDownList regarding the rendering of the placeholder in Material themes, when clearSelection method is called.
- Fixed an issue in jqxChart tooltip arrow positioning.
- Fixed an issue in jqxListBox rendering when the theme is material and custom rendering function is set.
- Fixed an issue in jqxScheduler regarding the all day checkbox alignment in the dialog.

*********************************************
* jQWidgets v6.0.5 Release, August-01-2018           *
*********************************************

What's Improved:

- jqxGrid Adaptive rendering. Filter dialog is rendered differently on small screens when adaptive mode is turned on.

What's Fixed:

- Fixed an issue in jqxNumberInput when promptChart is set to empty string.
- Fixed an issue in jqxNumberinput up/down  keys when selection is before number the first number does nothing.
- Fixed an issue in jqxGrid when multi-column sorting is applied to column with type "float" or "int".
- Fixed an issue in jqxGrid Pager rendering on small screen devices. Now, some elements are adaptively hidden and shown.
- Fixed an issue in jqxGrid multi-column sorting when user edits cells.
- Fixed an issue in jqxGrid regarding auto-scrolling when an editor is opened and the Grid is grouped.
- Fixed an issue in jqxGrid number editing process. When numeric cell is selected and a numeric key is pressed, the input's caret position was wrong.
- Fixed an issue in jqxComboBox keyboard navigation.
- Fixed an issue in jqxInput when the value property is changed dynamically.
- Fixed an issue in jqxDataAdapter regarding the mapChar option name.
- Fixed an issue in jqxForm regarding the val() method.
- Fixed an issue in jqxForm typescript file.
- Fixed an issue in jqxDateTimeInput regarding the val() method when the Date is in String format.
- Fixed an issue in jqxDateTimeInput about darkblue theme. Hides navigation buttons at top of Calendar.
- Fixed an issue in jqxDateTimeInput regarding the validation on initialization. value is always between the min and max range on initialization.
- Fixed an issue in jqxDateTimeInput regarding the time popup, when the formatString is "HH" or "hh", only the Hour input shoud be visible.
- Fixed an issue in jqxTree regarding the vertical alignment of Tree Item's text and icons.

*********************************************
* jQWidgets v6.0.4 Release, July-17-2018                *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding row-details z-index.
- Fixed an issue in Angular components about duplicate val methods.
- Fixed an issue in jqxGrid typescript definitions regarding the new Grid properties.
- Fixed an issue in jqxGrid about border-colors of Grid cell editors in the Light theme.
- Fixed an issue in jqxGrid filter menu rendering.
- Fixed an issue in jqxGrid deferred scrolling popup in Firefox.
- Fixed an issue in jqxForm typescript definitions.
- Fixed an issue in jqxForm Angular component.
- Fixed an issue in jqxValidator labels positioning in Inputs with Material theme.
- Fixed an issue in jqxTextArea args.type property being undefined.
- Fixed an issue in jqxInput regarding the Material theme in IE11.
- Fixed an issue in jqxRibbon regarding the Material theme Tab bar rendering.
- Fixed an issue in jqxTree regarding the checkbox rendering in Indeterminate state.

*********************************************
* jQWidgets v6.0.0 Release, July-16-2018                *
*********************************************

What's New:

- jqxForm widget.
- jqxGrid Multi-Column Sorting.
- jqxGrid Adaptive Layout Rendering.
- jqxGrid Column and Row Lines Visibility customization.
- Material, Material Green and Material Purple themes.
- jqxChart Multi-Series Tooltips.

What's Improved:

- Light and Dark themes.

What's Fixed:

- Fixed an issue in jqxGrid column rendering, when Sort is applied. Column text was not completely rendered due to the sort icon or text ellipsis was not shown even when it should be.
- Fixed an issue in jqxGrid column rendering, when Filter is applied. Column text was not completely rendered due to the filter icon or text ellipsis was not shown even when it should be.
- Fixed an issue in jqxGrid ensurerowvisible method when user navigates with keyboard and grouping is enabled.
- Fixed an issue in jqxGrid with Home/End keyboard selection, when pageable is enabled.
- Fixed an issue in jqxGrid with PageUp/PageDown keyboard selection and page navigation, when pageable is enabled.
- Fixed an issue in jqxGrid when a filter is applied by hitting "Enter" key and the displayed rows are 0. The grid throws an error.
- Fixed an issue in jqxGrid filter panel regarding incorrect margin and padding of the filter widgets.
- Fixed an issue in jqxGrid regarding the filter row cell widths after filter is applied and column width is set in percentages.
- Fixed an issue in jqxDropDownButton regarding the popup z-index.
- Fixed an issue in jqxCalendar regarding the cell size, when the calendar is placed inside TD tag.
- Fixed an issue in jqxWindow regarding the tab key navigation inside the window. 
- Fixed an issue in jqxTreeGrid Angular component.
- Fixed an issue in Inputs regarding the percentage width handling.
- Fixed an issue in jqxPasswordInput regarding the horizontal resizing.
- Fixed an issue in jqxDataTable regarding the Advanced filtering rendering.
- Fixed an issue in jqxDataAdapter issue regarding beforeLoadComplete when used along with loadServerData.
- Fixed an issue in jqxListBox regarding the rendering of items and their width and offset calculations with and without checkboxes.

Breaking changes:

jqxTreeGrid, jqxDataTable, jqxGrid - increased default row height, column height and pager height. These properties are configurable with the API.




*********************************************
* jQWidgets v5.7.2 Release, April-20-2018     *
*********************************************

What's New:

- Users can load jqxListBox, jqxDropDownlist and jqxComboBox by using the Angular *ngFor directive.
- Users can load jqxGrid and jqxDataTable by using the Angular *ngFor directive.
- Users can dynamically load Angular components into Grid Cells.
- New Angular Help tutorials about Routing and Navigation, Dynamic Component Loading and WebPack installation.
- jqxGrid can be loaded from Table tag by using $.jqx.parseSourceTag method.
- Angular 6 components integration.


What's Fixed:

- Fixed an issue in jqxListBox regarding the loading from Select and UL tags.
- Fixed an issue in jqwidgets.d.ts file regarding missing jqx:any.
- Fixed an issue in jqxScheduler regarding the edit dialog's z-index.
- Fixed an issue in jqxScheduler regarding the firstDay localization setting and showWeekends is set to false.
- Fixed an issue in jqxNotification regarding the dynamically change of templates.
- Fixed an issue in jqxGrid regarding the sorting when the Grid is grouped.
- Fixed an issue in jqxFileUpload cancelFile typescript definition.
- Fixed an issue in the widgets styles regarding an incorrect image.

jQWidgets v5.6.0 Release, February-09-2018

What's New:
- Pivot Grid Tag Helper
- ASP .NET MVC Tag Helpers documentation update
- ASP .NET MVC Tag Helpers Visual Studio 2017 integration and .NET Standard 2
- Updated ASP .NET MVC NuGet packages for jQWidgets and the free Bootstrap tag helpers package. 

*********************************************
* jQWidgets v5.5.0 Release, Dec-05-2017     *
*********************************************

What's New:

- 500+ Custom Elements demos.

What's Improved:

- jQWidgets Custom Elements behavior.
- Angular 5 components integration.

What's Fixed:

- Fixed an issue in jqxGrid regarding the custom filtering keyboard. When the filter menu is customized by the user, an error was raised when 'Enter' key is pressed.
- Fixed an issue in jqxDraw regarding trying to set invalid NaN params. 
- Fixed an issue in jqxButton custom element.
- Fixed issues regarding the Angular components property types.

*********************************************
* jQWidgets v5.4.0 Release, Oct-11-2017     *
*********************************************

What's Improved:

- Angular components scripts references are automatically added.
- Angular @Input properties validation.
- All Angular examples are updated.
- jqxGrid keyboard navigation in filter row, filter and sort menu and pager.
- jqxScheduler ICalendar export  support for X-WR-CALNAME and X-WR-DESC.

What's Fixed: 

- Fixed several issues with missing typescript property definitions.  
- Fixed an issue in jqxPivotGrid regarding the drag and drop behavior.

*********************************************
* jQWidgets v5.3.2 Release, Sep-21-2017     *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid related to nested Grids z-index.
- Fixed an issue in jqxListBox related to item's labels. 
- Fixed an issue in jqxScheduler related to the getSelection method result when a single all day cell is selected in Day/Week view.
- Fixed an issue in jqxWindow related to its z-index.
- Fixed an issue in jqxScheduler related to its dialog z-index.

*********************************************
* jQWidgets v5.3.0 Release, Sep-17-2017     *
*********************************************

What's Improved:

- Widgets now use lower default z-index values.

What's Fixed:

- Fixed an issue in jqxGrid regarding full row edit and tabbing.
- Fixed an issue in jqxGrid ever present row when updatebounddata is called.
- Fixed an issue in jqxGrid regarding the beginrowedit method when called after addrow method.
- Fixed an issue in jqxGrid horizontal scrollbar appearance when the column widths are not set.
- Fixed an issue in jqxGrid regarding the uid reset of rows when the column editor is ComboBox or DropDownList. 
- Fixed an issue in jqxGrid about showing empty rows when virtual mode is turned on and display rows count is greater than the data rows count.
- Fixed an issue in jqxGrid when grouping aggregates are enabled and a custom aggregate is implemented. The custom aggregate's results are not shown in the group's aggregate.
- Fixed an issue in jqxScheduler regarding the context menu which opens the edit dialog. 
- Fixed an issue in jqxListBox regarding the 'clear' method. After calling clear, developers were still able to get an item object by it's value.
- Fixed an issue in jqxTabs regarding the keyboard navigation.
- Fixed an issue in jqxTabs regarding hosting dropdown widgets and closing the dropdown when tab is selected and tab reorder is enabled.
- Fixed an issue in jqxValidator regarding the validation error message display in the TextArea after adding the required value.
- Fixed an issue in jqxTree regarding the ensureVisible method when the item is the first item, the tree was incorrectly scrolling down.
- Fixed an issue in jqxComboBox multi select mode which was related to cross site scripting vulnerability.
- Fixed an issue in jqxListBox and jqxDropDownList which was related to cross site scripting vulnerability.

*********************************************
* jQWidgets v5.2.0 Release, Sep-04-2017     *
*********************************************

What's New:

- Angular Pivot Grid
- React Pivot Grid
- Pivot Grid Custom Element

What's Improved:

- jqxTabs and jqxRibbon light theme. 

What's Fixed:

- Fixed an issue in jqxListBox and jqxDropDownList regarding the enableSelection property when it is set dynamically.
- Fixed an issue in jqxCheckBox and jqxRadioButton regarding the event.args.type member when the event is raised.
- Fixed an issue in jqxPivotGrid regarding the mouse selection when the mouse is released over a scrollbar.
- Fixed an issue in jqxPivotGrid regarding the hit test functionality.
- Fixed an issue in jqxTabs regarding removing an event listener when the Tabs is within IFrame.
- Fixed an issue in jqxToggleButton custom element regarding invoking methods inherited by jqxButton.
- Fixed an issue in jqxGrid regarding the mouse selection when the area between the vertical and horizontal scrollbar is clicked.

*********************************************
* jQWidgets v5.1.0 Release, Aug-15-2017     *
*********************************************

What's New:

- Javascript Pivot Grid

What's Updated:

- Grid icons for settings menu and sorting.

What's Fixed: 

- Fixed an issue related to jqxDropDownButton Custom element.
- Fixed an issue related to event handling in Custom elements.

*********************************************
* jQWidgets v5.0.0 Release, Aug-08-2017     *
*********************************************

What's New:

 - Custom Elements


What's Fixed:

- Fixed an issue in jqxTooltip regarding the open method in combination with refresh method. CSS classes were added multiple times.
- Fixed an issue in jqxDataTable regarding the ensure row visible keys.
- Fixed an issue in jqxButtonGroup regarding percentage sizing.
- Fixed an issue in jqxButton regarding dynamically setting the value property, when image is defined.
- Fixed an issue in jqxDropDownList regarding the initialization from UL list.
- Fixed an issue in jqxMenu regarding the closeItem method behavior.

*********************************************
* jQWidgets v4.5.4 Release, June-27-2017    *
*********************************************

What's New:

1500+ Angular 4 Demos.

What's Fixed:

- Fixed an issue in the CSS styling about DataTable and TreeGrid pager.
- Fixed an issue in jqxScheduler about the Edit Dialog title showing incorrect results when adding and editing appointments.
- Fixed an issue in jqxScheduler about the Edit Dialog Delete button visibility.


*********************************************
* jQWidgets v4.5.3 Release, June-01-2017    *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding the data editing when the edit mode is 'selectedrow' and selection mode is cell based. 
- Fixed an issue in jqxGrid regarding loading dates with milliseconds precision.
- Fixed an issue in jqxGrid regarding the destroy method when filter row is enabled and there are INPUT filters.
- Fixed an issue in jqxGrid when caps-lock is on and you start editing with a key press.
- Fixed an issue in jqxGrid when columns reorder is true in RTL mode.
- Fixed an issue in jqxGrid regarding DatetimeInput editor when it is in time-input mode.
- Fixed an issue in jqxScheduler regarding the agendaView usage on touch devices.
- Fixed an issue in jqxListBox about submitting item value when the listbox is empty.
- Fixed an issue in jqxDateTimeInput regarding showing time popup with Alt + Down key, if calendar button is hidden.

*********************************************
* jQWidgets v4.5.2 Release, May-04-2017     *
*********************************************

What's New:

- Added 650+ new React Examples.

*********************************************
* jQWidgets v4.5.1 Release, April-01-2017   *
*********************************************

What's Improved:
- The jqxLayout/jqxDockingLayout "allowClose" setting in is now preserved when pinning tabbedGroups or unpinning autoHideGroups.

What's Fixed:

- Fixed an issue in jqxNumberInput regarding mobile devices behavior when decimalSeparator is ",".
- Fixed an issue in jqxScheduler regarding the exactTimeRendering functionality, when an appointment is rendered in 2 days.
- Fixed an issue in jqxScheduler regarding the edit dialog when the dialog is opened when there's no focused cell.
- Fixed an issue in jqxPopover regarding the showArrowButton property, when it is set dynamically.
- Fixed an issue in jqxGrid regarding the tooltips in Checkbox column.
- Fixed an issue in jqxGrid regarding the clipboard paste functionality.
- Fixed an issue in jqxGrid regarding the toggle arrows display when the grid's row details and grouping with aggregates features are enabled. 
- Fixed an issue in jqxGrid regarding the grouping aggregates rendering logic.
- Fixed an issue in jqxGrid regarding the filter row dropdownlist and "select all" item.
- Fixed an issue in jqxGrid regarding the full row edit when "ESC" is pressed and "updaterow" is defined in the source object.
- Fixed an issue in jqxDataTable regarding the server-side filtering.
- Fixed an issue in jqxWindow regarding the dynamic enabling/disabling of window dragging.
- Fixed an issue in jqxWindow regarding the Tab key navigation after closing modal window.
- Fixed an issue in jqxTabs regarding the setTitleAt method when close buttons are enabled.
- Fixed an issue in jqxRibbon about the animationType: "slide".
- Fixed an issue in jqxWindow regarding the method "destroy" in Internet Explorer.

*********************************************
* jQWidgets v4.5.0 Release, Jan-13-2017     *
*********************************************

What's New:

- React UI components.

What's Fixed:

- Fixed an issue in jqxGrid regarding the DateTimeInput editor in Firefox.
- Fixed an issue in jqxGrid regarding the Tab-key navigation when the Grid is in edit mode and the editor is checkbox.
- Fixed an issue in jqxGrid regarding the Esc key behavior when the NumberInput column is in edit mode.
- Fixed an issue in jqxGrid regarding the auto-scroll behavior after editing and when grouping is turned on.
- Fixed an issue in jqxGrid regarding the row details expand/collapse behavior after sorting and filtering.
- Fixed an issue in jqxGrid regarding the filter row's date range filter display after the grid is re-rendered.
- Fixed an issue in jqxScheduler regarding the columns rendering in timeline views after navigation.
- Fixed an issue in jqxTreeGrid regarding the auto-height calculation after cell editing when autoRowHeight is true.
- Fixed an issue in jqxCalendar and jqxDateTimeInput regarding their destroy method.
- Fixed an issue in jqxMaskedInput regarding the value property during initialization.
- Fixed an issue in jqxChart regarding the tooltip's z-index. 

Breaking changes: 

Component selectors for Angular now start with "jqx" instead of "angular".
ASP .NET Tag Helpers now use dash style instead of camel case for creating helpers and setting attributes.

*********************************************
* jQWidgets v4.4.0 Release, Nov-24-2016     *
*********************************************

- 30+ new examples for Angular 2.
- Angular 2 Web Pack support.
- Initialize jQWidgets Angular 2 Components through attributes.
- Angular 2 ngModel support.

*********************************************
* jQWidgets v4.3.0 Release, Oct-07-2016     *
*********************************************

What's New:

- Angular 2.0 Final version support.
- ASP .NET Core MVC Tag Helpers
- ASP .NET Core MVC Bootstrap Tag Helpers.

What's Improved:

- jqxDateTimeInput, jqxNumberInput Esc key behavior.

What's Fixed:

- Fixed an issue in jqxTabs regarding the changing of tab titles dynamically.
- Fixed an issue in jqxWindow regarding the changing of its content dynamically.
- Fixed an issue in jqxProgressBar regarding its text layout.
- Fixed an issue in jqxLayout regarding its rendering.
- Fixed an issue in jqxRibbon regarding the z-index of its scroll buttons.

*********************************************
* jQWidgets v4.2.1 Release, Aug-26-2016     *
*********************************************

What's Fixed:

- Fixed issues in Angular 2 and Typescript Examples.
- Fixed an issue in jqxScheduler regarding the legend area rendering.
- Fixed an issue in jqxScheduler regarding the auto-height behavior.
- Fixed an issue in jqxRibbon regarding the scrolling behavior.
- Fixed an issue in jqxProgressBar regarding the value updates.

*********************************************
* jQWidgets v4.2.0 Release, Aug-24-2016     *
*********************************************
What's New:

- Typescript Definitions.
- AngularJS 2.0 Components.
- More than 150 Examples about New Typescript and AngularJS 2.0
- jQuery 3.1.0 support.
- jqxGrid Grouping Aggregates.
- New layout options in jqxLayout and jqxDockingLayout widgets. It is not possible to set the size of the content part of an autoHideGroup's pop-up.
- New jqxDockingLayout event - "floatGroupClosed", which is triggered when a float group has been closed.

What's Fixed:

- Fixed an issue in jqxGrid regarding the getrowid method results.
- Fixed an issue in jqxGrid regarding the data export of aggregates when selection mode is set to "checkbox".
- Fixed an issue in jqxGrid regarding the initwidget callback function parameters.
- Fixed an issue in jqxGrid regarding the data export rendering when some columns is pinned.
- Fixed an issue in jqxGrid regarding the jqxDateTimeInput editor when editing begins with key press.
- Fixed an issue in jqxGrid regarding the jqxDateTimeInput editor selection positioning.
- Fixed an issue in jqxDateTimeInput regarding the AM/PM editing.
- Fixed an issue in jqxKanban regarding the rendering when kanban items overflow and the kanban widget is resized.
- Fixed an issue in jqxComboBox regarding the showArrow property when it is set dynamically.
- Fixed an issue in jqxScheduler regarding the auto-height of monthView cells.
- Fixed an issue in jqxBarGauge regarding the dynamic changing of values.
- Fixed an issue in jqxKanban regarding the dynamic changing of resources property.
- Fixed an issue in jqxRibbon regarding the "reorder" event being called incorrectly and causing an error to be thrown in jqxDockingLayout.
- Fixed an issue in jqxLayout/jqxDockingLayout occurring when resizing groups with relatively small width/height.
- Fixed an issue in jqxDockingLayout resulting in content of docked float groups not being loaded by the method "loadLayout".

*********************************************
* jQWidgets v4.1.2 Release, April-28-2016   *
*********************************************

What's New:

9 new Interactive/Template demos

What's Fixed:

- Fixed an issue in jqxResponse regarding Microsoft Edge browser detection.
- Fixed an issue in jqxKanban regarding the updateItem method when itemRenderer is implemented. 
- Fixed an issue in jqxScheduler regarding the ICAL export after appointment is updated.
- Fixed an issue in jqxScheduler regarding same Ids of rows and appointments.
- Fixed an issue in jqxGrid regarding the rendering of textboxes in filter row.
- Fixed an issue in jqxGrid regarding the handlekeyboardnavigation function. It's now called only if the key event is raised by jqxGrid or some of its inner HTML elements.
- Fixed an issue in jqxGrid regarding the cell hover when there are pinned columns and horizontal bar was moved.
- Fixed an issue in jqxListBox regarding the "render" method call.
- Fixed an issue in jqxCalendar regarding the stepMonths property behavior.
- Fixed an issue in jqxDropDownButton regarding the drop down's auto-closing behavior when there is another drop down widget inside it.

Breaking Changes:

- Added watermark in major widgets for non-commercial & evaluation versions. Non-commercial users may request a production build without the watermark by writing to sales@jqwidgets.com.
- Renamed save-file.php to dataexport.php.

*********************************************
* jQWidgets v4.1.1 Release, March-28-2016   *
*********************************************

What's Fixed:

- Fixed an issue in jqxDropDownList regarding autoDropDownHeight property.
- Fixed an issue in jqxDockingLayout regarding the floating windows layout.
- Fixed an issue in jqxBarGauge regarding the precision property.
- Fixed an issue in jqxDataTable regarding the deleteRow method.
- Fixed an issue in jqxScrollBar regarding its rendering in Chrome when the browser is ran on a PC with Touch screen.

*********************************************
* jQWidgets v4.1.0 Release, March-10-2016   *
*********************************************

What's New:

- Kinetic Scrolling on Mobile Devices.
- jqxBarGauge widget.
- jqxChart x-Axis logarithmic scale support.
- jqxChart new functions for mapping axis positions to values.
- jqxChart support for custom grid lines, tick marks and labels.
- Responsive Grid System in jqxResponse.
- jqxDateTimeInput, jqxNumberInput, jqxSlider, jqxCalendar, jqxCheckBox, jqxRadioButton, jqxSwitchButton, jqxColorPicker can be initialized from Input tags.
- Templates for jqxDateTimeInput, jqxComboBox, jqxDropDownList, jqxSlider, jqxProgressBar, jqxButtonGroup, jqxNumberInput, jqxFormattedInput, jqxComplexInput.
- DropDown Alignment options for jqxDropDownList, jqxComboBox, jqxDropDownButton and jqxDateTimeInput.

What's Improved:

- Scrolling performance on Mobile Devices.
- jqxGrid rendering and data binding performance.

What's Fixed:

- Fixed an issue in jqxScheduler regarding the appointmentClick and appointmentDoubleClick events in the agenda view.
- Fixed an issue in jqxScheduler regarding the edit dialog in the agenda view.
- Fixed an issue in jqxDropDownList regarding its Popup positioning.
- Fixed an issue in jqxChart regarding range selector rendering.
- Fixed an issue in jqxChart regarding range selector vertical rendering.
- Fixed an issue in jqxRibbon regarding the visibility of scroll buttons not being updated when "removeAt" is called.
- Fixed a jqxRibbon selection issue in the "addAt" method.
- Fixed a rounding issue in jqxRangeSelector.
- Fixed an issue in jqxLinearGauge regarding an incorrect layout when the orientation is horizontal and "scaleLength" is set.

Breaking Changes:

- Removed default sorting by grouped column in jqxGrid when grouping and paging are applied.
 
*********************************************
* jQWidgets v4.0.0 Release, Jan-27-2016     *
*********************************************

What's New:

- jqxKanban widget.
- jqxKnob widget.
- jqxSortable plug-in.

What's Improved:

- jqxNumberInput null value support.

What's Fixed:
- Fixed an issue in jqxScheduler regarding the rendering of appointments in Day/Week view with duration less than a single time slot.
- Fixed an issue in jqxScheduler regarding the rendering of appointments in Day/Week view with more than 1 day duration.
- Fixed an issue in jqxScheduler regarding the edit dialog widgets visibility.
- Fixed an issue in jqxScheduler regarding the edit dialog's location field.
- Fixed an issue in jqxScheduler regarding the weekstart in recurrenceAppointments export.
- Fixed an issue in jqxScheduler regarding the changedAppointments property.
- Fixed an issue in jqxScheduler regarding the legends rendering after re-binding the scheduler.
- Fixed an issue in jqxGrid regarding the grouping and row details expand/collapse state maintenance.
- Fixed an issue in jqxGrid regarding the grouping when deferred scrolling is enabled.
- Fixed an issue in jqxCore regarding IE7, IE8 browser support.
- Fixed an issue in jqxData.Export regarding the export to PDF in Firefox.
- Fixed an issue in jqxDockingLayout regarding drop overlays not being displayed after "loadLayout" is called.
- Fixed an issue in jqxDockingLayout regarding docked floatGroups losing their content after "loadLayout" is called.
- Fixed an issue in jqxTextArea regarding the use of jQuery's .val() method.
- Fixed an issue in jqxTextArea with text alignment when "rtl" is set to true.
- Fixed an issue in jqxRating regarding the positioning of "stars" in containers with overflow.
- Fixed an issue in jqxNotification occurring due to the ids of inner elements being duplicated.
- Fixed an issue in jqxLayout and jqxDockingLayout occurring when "height" is set to a percentage value.
- Fixed an issue in jqxLayout and jqxDockingLayout regarding resizing occurring when "width" or "height" is set to a percentage value.
- Fixed an issue in jqxDockingLayout regarding the content of some docked float groups being lost when "loadLayout" is called.
- Fixed an issue in jqxBulletChart regarding the dynamic setting of the "ranges" property.
- Fixed an issue in jqxValidator regarding the class "jqx-validator-error-element" not being added to textarea elements when "hintType" is set to "label".

*********************************************
* jQWidgets v3.9.1 Release, Oct-29-2015     *
*********************************************

What's New:

- jqxScheduler Agenda View.
- jqxScheduler ICalendar import/export.
- jqxScheduler Export to Excel, PDF, JSON, XML, HTML, CSV, TSV.
- jqxScheduler Appointments Exact Time rendering.
- jqxScheduler Week Numbers display in Month View.
- jqxDockingLayout method for dynamically adding floatGroups.

What's Improved:

- jqxGrid expand/collapse state maintenance when the Grid is grouped or row details are enabled.

What's Fixed:

- Fixed an issue in jqxGrid about best fit columns resizing when columns reorder is turned on.
- Fixed an issue in jqxScheduler about legends bar rendering.
- Fixed an issue in jqxScheduler which occurred when user tries to select multiple cells in the all days area.
- Fixed an issue in jqxScheduler RTL Navigation through the toolbar.
- Fixed an issue in jqxScheduler Resources binding through jqxDataAdapter.
- Fixed an issue in jqxCalendar and jqxDateTimeInput firstDayOfWeek property issue.
- Fixed an issue in jqxFileUpload which occured when uploadFile was called, but no files had been selected for upload.
- Fixed an issue in jqxDockingLayout regarding initContent not being called for floatGroups.
- Fixed an issue in jqxDockingLayout drop indicators show/hide issue related to mobile devices.

*********************************************
* jQWidgets v3.9.0 Release, Oct-09-2015     *
*********************************************

What's New:

- jqxScheduler, jqxDockingLayout, jqxLayout, jqxTextArea, jqxTagCloud, jqxResponsivePanel, jqxPopover, jqxLoader widgets.
- jqxGrid best fit columns resizing. End-users now can auto-resize columns by double clicking on the column header's right border.
- jqxChart Pie and Donut slices expansion on selection.
- jqxCalendar Restricted dates feature.
- jqxRibbon Tabs reorder functionality.

What's Improved:

- jqxChart's labels positioning in Pie and Donut series.
- jqxChart's default value axis number formatting.
- jqxFormattedInput Select All with Ctrl+A.
- jqxFormattedInput radix can now be changed through the dropdown even when the input is empty.


What's Fixed:

- Fixed an issue in jqxTreeGrid regarding the hierarchical checkboxes when Sorting is applied.
- Fixed an issue in jqxGrid regarding the ever present row rendering when a column is pinned.
- Fixed an issue in jqxGrid regarding the multiple cells advanced selection when columns width is in percentages.
- Fixed an issue in jqxGrid regarding the excel filter for filtering date column.
- Fixed an issue in jqxGrid regarding the initial column filter functionality when the filter is applied to numeric column and filter row is turned on.
- Fixed an issue in jqxGrid regarding the save/load state of Date filter.
- Fixed an issue in jqxGrid regarding the DateTimeInput editor's localization.
- Fixed an issue in jqxDateTimeInput regarding the Tab key navigation in Firefox.
- Fixed an issue in jqxDateTimeInput regarding date selection when closing the popup calendar by clicking on the calendar button.
- Fixed an issue in jqxDateTimeInput regarding the rendering of the time popup after navigation through the calendar popup.
- Fixed an issue in jqxChart value axis range display when all values are 0s.
- Fixed an issue in jqxChart range selector layout issues.
- Fixed an issue in jqxChart range selector mouseup outside of area event handling bug.
- Fixed an issue in jqxChart range selector refresh issue when used with 'basic' type xAxis.
- Fixed an issue in jqxChart about export to image with rangeselector.
- Fixed an issue in jqxScrollBar about small scroll ranges layout.
- Fixed an issue in jqxFileUpload regarding an "Access is denied" error in Internet Explorer 10.
- Fixed an issue in jqxFormattedInput regarding the entering of numbers through the numeric keypad.
- Fixed an issue in jqxComplexInput regarding the entering of numbers through the numeric keypad.
- Fixed an issue in jqxRibbon when header items contain images or other non-text HTML elements.


*********************************************
* jQWidgets v3.8.2 Release, August-06-2015  *
*********************************************

What's New: 

- Added Support for Microsoft Edge Web Browser.

What's Fixed:

- Fixed an issue in jqxGrid regarding the Checkbox column Toggle behavior.
- Fixed an issue in jqxGrid regarding the deleterow method and editing after that.
- Fixed an issue in jqxGrid regarding the validation popup's positioning when the editing is full row.
- Fixed an issue in jqxGrid regarding the destroying of filter widgets on data source change.
- Fixed an issue in jqxGrid regarding the cells rendering when custom filter is applied and removed dynamically through API.
- Fixed an issue in jqxDateTimeInput regarding the switching of calendar views.
- Fixed an issue in jqxDateTimeInput regarding the Time Popup inputs formatting.
- Fixed an issue in jqxDateTimeInput regarding the Null dates handling.
- Fixed an issue in jqxDateTimeInput regarding the Spin Buttons behavior in the Time Popup.
- Fixed an issue in jqxRibbon regarding an incorrect class applied to the top and bottom scroll button arrows.
- Fixed an issue in jqxSlider when the 'min' and 'max' properties are dynamically set.
- Fixed an issue in jqxSwitchButton regarding the removal of event handlers.
- Fixed an issue in jqxToolBar regarding its integration in a jqxSplitter panel.
- Fixed an issue in jqxComplexInput regarding the methods getReal and getImaginary when the decimalNotation.
- Fixed an issue in jqxAngular plugin regarding the Angular UI Router.
- Fixed an issue in jqxNumberInput with Paste from browser's context menu.
- Fixed an issue in jqxListBox regarding the checkItem, uncheckItem and indeterminateItem methods when Filter is applied.

*********************************************
* jQWidgets v3.8.1 Release, June-23-2015   *
*********************************************

What's New:

- jqxDateTimeInput - Time popup.

What's Improved:

- jqxTreeGrid API. Added expandAll and collapseAll methods.
- jqxChart Value axis automatic selection of optimal interval when all values are identical.
- jqxNumberInput editing of negative numbers.
- jqxFileUpload 'select' event is passed the selected file's size as an argument.

What's Fixed:

- Fixed an issue in jqxGrid about Virtual Columns Scrolling in IE7 and IE8.
- Fixed an issue in jqxGrid about Virtual Columns Scrolling when Filtering is applied.
- Fixed an issue in jqxGrid about rendering of cell contents of a pinned column when the Grid's horizontal scrollbar is moved and the "hidecolumn" method is called.
- Fixed an issue in jqxGrid about the Validation popup positioning when the edit mode is full row.
- Fixed an issue in jqxObservableArray about the unshift method.
- Fixed an issue in jqxFileUpload regarding the use of the 'multipleFilesUpload' property in Internet Explorer 9 and earlier.
- Fixed an issue in jqxFormattedInput when the value is an empty string.
- Fixed an issue in jqxRibbon when 'mode' is set to 'popup' and the content section is over other elements.
- Fixed an issue in jqxRibbon when setting 'width' and 'height' dynamically.

*********************************************
* jQWidgets v3.8.0 Release, April-27-2015   *
*********************************************

What's New:

- jqxChart column series properties to render as Pyramid and Funnel charts.
- jqxChart new tooltips property toolTipMoveDuration to control time required move the tooltip between items.
- jqxChart localization support.
- jqxGrid, jqxChart, jqxTreeGrid and jqxDataTable PDF Export.
- jqxGrid Ever Present Row.
- jqxGrid Filter Menu customization.

What's Improved:

- jqxChart tooltips positioning and style using tooltip arrows.
- jqxChart  support for percentage radius in pie and donut series and polar/spider charts.
- jqxChart automatic detection and parsing of date/time strings in different cultures.
- jqxChart dateFormat property for xAxis values, tooltips and labels.
- jqxGrid performance improvement which affects Grids with multiple columns. 
- jqxGrid Grouping and Filtering API.
- jqxAngular plugin improvement which allows dynamic compile of widgets through a function call.

What's Fixed:

- Fixed an issue in jqxGrid about resizing in RTL mode.
- Fixed an issue in jqxGrid about clipboard handling in server paging mode.
- Fixed an issue in jqxGrid regarding the Pager's rendering in RTL mode.
- Fixed an issue in jqxDataTable regarding the setCellValue method when the column is sorted.
- Fixed an issue in jqxDataTable regarding columns width on touch devices.
- Fixed an issue in jqxComboBox regarding the getSelectedItem method when multiSelect mode is turned on.
- Fixed an issue in jqxNumberInput regarding the behavior when the value is 0 and decimalDigits is set to 0.
- Fixed an issue in jqxSwitchButotn regarding the dynamic changing of button's orientation.
- Fixed an issue in jqxPasswordInput regarding the show password behavior on touch devices.
- Fixed an issue in jqxEditor regarding the "change" event when "paste" is through mouse.
- Fixed an issue in jqxPasswordInput password strength re-evaluation when setting the password with the val method.
- Fixed an issue in jqxFileInput in Internet Explorer when the option "Include local directory path when uploading files to a server" is enabled.
- Fixed an issue in jqxChart with custom colorFunction and range bars.
- Fixed an issue in jqxChart with the lineWidth property of gridlines & tickmarks in spider charts.
- Fixed an issue in jqxChart tooltips formatSettings on common y-axis.
- Fixed an issue in jqxChart with tooltip hiding in some corner cases.
- Fixed an issue in jqxChart with ticks overlapping text in polar chart.
- Fixed an issue in jqxChart with columns overlap detection logic.
- Fixed an issue in jqxChart with waterfall series conneting lines in horizontal chart orientation.
- Fixed an issue in jqxChart with calling 'update' after previously loading an empty data set.
- Fixed an issue in jqxChart in end point spline rendering in VML mode.
- Fixed an issue in jqxChart in vertical text rendering in VML mode.

Breaking Changes:

- The default value of jqxChart's skipOverlappingPoints option is now set to false in column series

*********************************************
* jQWidgets v3.7.1 Release, Feb-25-2015     *
*********************************************

What's Fixed:

- jqxChart Gradient fill style regression in IE9.
- jqxChart linesEnabled property change issue with pie/donut series.
- jqxChart handling of special characters in url.
- jqxGrid filter menu issue.
- jqxListBox issue about unselectIndex method.


*********************************************
* jQWidgets v3.7.0 Release, Feb-02-2015     *
*********************************************

What's New:

- jqxRibbon widget.
- jqxToolBar widget.
- jqxNavBar widget.
- jqxFileUpload widget.
- jqxFormattedInput widget.
- jqxComplexInput widget.
- jqxChart Waterfall and stacked waterfall series.
- jqxChart Support for common valueAxis.
- jqxChart Spider axis support.
- jqxChart Partial polar & spider chart support.
- jqxChart Annotations.
- jqxChart Color bands on xAxis.
- jqxChart Color bands in polar and spider charts.
- jqxChart Additional API functions.

What's Improved:

- jqxChart Axis padding feature.
- jqxChart Additional labels styling properties.
- jqxChart Support for conditional label colors.
- jqxChart Range selector and chart refresh events.
- jqxChart Improved columns spacing and padding calculation.
- jqxChart 15 new examples.
- jqxSlider mouse wheel behavior.

What's Fixed:

- Fixed an issue in jqxGrid regarding the Columns Hierarchy rendering when columns menu is turned off.
- Fixed an issue in jqxGrid regarding the deffered scrolling vertical scrolling when paging is enabled.
- Fixed an issue in jqxGrid regarding the keyboard navigation when paging is enabled.
- Fixed an issue in jqxChart with multiple range selectors.
- Fixed an issue in jqxChart Tooltips display on single point lines.
- Fixed an issue in jqxChart Partial pie series angle recalculation when calling 'update'.
- Fixed an issue in jqxChart Columns positioning issue when some data points are invalid.
- Fixed an issue in jqxTooltip's close method.
- Fixed an issue in jqxNumberInput regarding the spin behavior.
- Fixed an issue in jqxTree regarding the drag and drop behavior.

Breaking Changes:

- Incorrectly typed property names will now raise errors. In previous versions, these properties were ignored.

*********************************************
* jQWidgets v3.6.0 Release, Nov-25-2014     *
*********************************************

What's New:

- jqxChart OHLC series.
- jqxChart Candlestick series.
- jqxTreeGrid Three-State checkboxes.
- jqxTreeGrid new Paging Mode.
- jqxAngular new AMD module which allows automatic on demand loading of the required jQWidgets javascript files.
- jqxMenu and jqxDocking keyboard navigation.
- jqxSlider tooltips.
- Observable Array function.

What's Improved:

- jqxChart Range selector mouse and touch handling.
- jqxChart automatic calculation of unit interval in date/time series.
- jqxChart improvements in spline rendering algorithm.
- jqxChart improvements in rendering of column series on date/time axis.
- jqxAngular's jqx-watch attribute now allows watching for changes in multiple members.

What's Fixed:

- Fixed an issue in jqxListBox, jqxComboBox and jqxDropDownList about the events handling when the widget is created from 'select' tag.
- Fixed an issue in jqxDropDownList regarding the "getItemByValue" method.
- Fixed an issue about the Clipboard operations and Selection in jqxGrid, jqxDataTable, jqxListBox and jqxTreeGrid when the widget is used on Mac OS.
- Fixed an issue about the Clipboard Copy in jqxGrid when the data is sorted.
- Fixed an issue in jqxKnockout about the Inputs and their events handling.
- Fixed an issue in jqxGrid regarding the rendering after dynamically pinning and unpinning columns when the Grid has columns hierarchy.
- Fixed an issue in jqxTreeGrid regarding the pinned columns feature in IE7.
- Fixed an issue in jqxTreeGrid regarding the beginCellEdit method.
- Fixed an issue in jqxDataTable regarding filter's rendering when columns resize and reorder features are enabled.
- Fixed an issue in jqxCheckBox rendering in some themes when the boxSize is different than the default.
- Fixed an issue in jqxChart regarding the DateTime series offset calculations.
- Fixed an issue in jqxChart about Legend items spacing with custom layout.
- Fixed an issue in jqxChart about Formatting error on xAxis text.
- Fixed an issue in jqxChart about performance with date/time xAxis and milliseconds unit interval.
- Fixed an issue in jqxChart about rounding with date/time xAxis and seconds unit interval.
- Fixed an issue in jqxChart about spline rendering algorithm.
- Fixed an issue in jqxChart about Range selector rendering bug when the min/max are out of range compared to source data.
- Fixed an issue in jqxChart about Range selector resizing during series visibility toggle.


Breaking Change:

jqxAngular plug-in's jqx-data attribute is removed. Replace "data" in your code with the scope's member name.

*********************************************
* jQWidgets v3.5.0 Release, Sep-15-2014     *
*********************************************

What's New:

- AngularJS Integration.
- ASP .NET MVC Integration.
- jqxNotification - new widget for displaying notifications and alerts.
- jqxGrid filter row options.
- jqxListBox, jqxDropDownList and jqxComboBox initialization from Select, UL or OL tags.
- jqxChart Alternating background colors and opacity for x and y axes.
- jqxChart Customizable symbol type in scatter and bubble series.
- 70+ New Examples.

What's Fixed:

- Fixed an issue in jqxGrid regarding the toolbar's visibility when the Grid is displayed in a DropDownButton.
- Fixed an issue in jqxGrid regarding the loading the state of a Grid with reordered columns.
- Fixed an issue in jqxTreeGrid regarding the "addRow" method.
- Fixed an issue in jqxNavigationBar regarding the insert method.
- Fixed an issue in jqxNumberInput regarding the spin behavior in simple input mode when "digits" is set to 2.
- Fixed an issue in jqxChart x-axis rendering performance in some conditions.
- Fixed an issue in jqxChart ranges selector refresh.
- Fixed an issue in jqxDateTimeInput regarding the raising of "change" and "valueChanged" event.

Breaking changes:

- jqxMaskedInput, jqxNumberInput, jqxScrollBar and jqxDateTimeInput - Renamed valuechanged to valueChanged.
- jqxGrid - To keep the range selection of the DateTimeInput in the Filter Row, use "range" instead of "date", when you set the column's "filtertype" property. "date" can be used for single date filter.

*********************************************
* jQWidgets v3.4.0 Release, June-23-2014    *
*********************************************
What's New:

- jqxEditor - HTML editor which can simplify web content creation or be a replacement of your HTML Text Areas.
- jqxBulletChart - data visualization widget which is a variation of a bar graph.
- jqxDraw - new widget for ad-hoc drawing.
- jqxChart draw and drawBefore callback functions for ad-hoc drawing.
- jqxChart seriesGroup and serie legendFormatSettings and legendFormatFunction properties.
- jqxChart labelsAutoRotate property for pie and donut series.
- jqxChart new examples.

What's Improved: 

- jqxChart Automatic selection of date/time granularity on date axis if the setting is not specified

What's Fixed:

- Fixed an issue in jqxGrid regarding the editing functionality when the "autorowheight" setting is turned on. 
- Fixed an issue in jqxGrid regarding the "autorowheight" when the grid rows are grouped. 
- Fixed an issue in jqxGrid regarding the sorting functionality when the Grid rows are grouped and paging is turned on. 
- Fixed an issue regarding the pointer events handling under Windows Phone 8.1.
- Fixed an issue in jqxChart regarding the touch events handling in the range selector.
- Fixed an issue in jqxChart regarding the range selector precision with range less than 24h on date axis with day granularity.
- Fixed an issue in jqxChart regarding the minValue and maxValue in stacked series.
- Fixed an issue in jqxChart regarding the display of label text in toggled stacked columns.
- Fixed an issue in jqxChart regarding the VML z-order issue with area series. VML is the rendering engine for IE7 and IE8.
- Fixed an issue in jqxTreeGrid regarding the rendering of the aggregates when there are hidden columns.

Breaking changes:

jqxChart:
	
	Renamed categoryAxis to xAxis

    In order to support the new jqxDraw widget and our future data visualization
    roadmap, the core rendering functionality is moved from jqxchart.js to a new file jqxdraw.js
    The core charting functionality is now in jqxchart.core.js and jqxchart.js will be deprecated.
    
    Users of jqxChart are advised to make the following change:
    
    Include jqxdraw.js and jqxchart.core.js instead of jqxchart.js
    
    We will continue providing jqxchart.js as a separate file in order to minimize
    migration cost and allow users to use the new versions without significant changes.
    However this file will be deprecated in future versions.
    
jqxGauge:

   In previous versions jqxGauge was using the drawing engine of jqxChart. Users
   were required to include both jqxgauge.js and jqxchart.js.
   
   Users of jqxGauge are advised make the following change:

    Include jqxdraw.js instead of jqxchart.js

*********************************************
* jQWidgets v3.3.0 Release, May-26-2014     *
*********************************************

What's New:

- jqxChart Zooming with range selection.
- jqxChart New series: stackedscatter, stackedscatter100, stackedbubble, stackedbubble100.
- jqxChart Support for conditional line colors within a single serie.
- jqxChart New labelsHorizontalAlignment and labelsVerticalAlignment properties.
- jqxChart New Sixteen additional color schemes.
- jqxChart Configurable display of missing values in line series.
- jqxChart Automated best fit selection of unit intervals. Unit interval axis settings are now optional.
- jqxChart Minimum and maximum angle properties for pie and donut series.
- jqxGrid DatePicker Filter Menu option.
- jqxTreeGrid and jqxDataTable Cell Edit. 

What's Improved:

- jqxChart Drawing performance optimization.
- jqxChart Line series with value gaps animation.
- jqxChart Labels positioning.
- jqxChart Connection of end points in polar chart line series.
- jqxChart Legend text wrapping.
- jqxChart Lines connecting pie and donut series labels.
- jqxChart Configurable hiding of toggled points in pie and donut series.

What's Fixed:

- Fixed an issue in jqxChart regarding the image & transparent background handling in IE8 browsers.
- Fixed an issue in jqxChart regarding theanimation of stacked columns with values lower than the value axis baseline.
- Fixed an issue in jqxChart regarding an exception after serie hide/show in case when the chart has a single serie.
- Fixed an issue in jqxChart regarding theDST handling in days sequence in date/time axis.
- Fixed an issue in jqxChart regarding thegradient fill colors derived from solid colors with max R,G or B values.
- Fixed an issue in jqxChart regarding the click events on line serie position point markers.
- Fixed an issue in jqxGrid regarding the multiple rows selection when virtual mode is enabled.
- Fixed an issue in jqxGrid regarding the applying of checked list filters through API. The check/uncheck states were not updated correctly.
- Fixed an issue in jqxGrid regarding the pincolumn method.
- Fixed an issue in jqxGrid regarding the checkbox selection when filter is applied. When you check the "check all" checkbox, the Grid will select only the visible rows. 
- Fixed an issue in jqxGrid regarding the checked list filter when the Grid is bound to local data and there are null values. The null values were incorrectly rendered in the checked list's popup.
- Fixed an issue in jqxGrid regarding the editing using the jqxDateTimeInput editor in a Nested Grid.
- Fixed an issue in jqxGrid regarding the programmatic edit mode.
- Fixed an issue in jqxGrid regarding the Clipboard Paste behavior in IE.
- Fixed an issue in jqxGrid regarding the "deleterow" method. If you delete a selected row, the row is now being removed from the selected indexes array.
- Fixed an issue in jqxComboBox regarding the DropDown's height calculation when autoDropDownHeight property is turned on and the DropDown is shown after typing in the Input field.
- Fixed an issue in jqxDataTable regarding the "row" parameter value of the "rowSelect" event handler when "serverProcessing" and "paging" are enabled.
- Fixed an issue in jqxDataTable regarding the inline editing when grouping is enabled.
- Fixed an issue in jqxNumberInput regarding the clipboard behavior in Chrome.
- Fixed an issue in jqxNumberInput regarding the spin behavior when the decimal separator is not ".".
- Fixed an issue in jqxTreeGrid regarding the rendering when grouping is applied and there are hidden columns.
- Fixed an issue in jqxTreeGrid regarding the sorting of data loaded on demand.
- Fixed an issue in jqxTreeMap regarding the resizing of nested areas. 
- Fixed an issue in jqxListBox regarding the removeItem method and the items are grouped.
- Fixed an issue in jqxListBox regarding the drag and drop when checkboxes are enabled.
- Fixed an issue in jqxDropDownList regarding the getSelectedItem method and the items are grouped.
- Fixed an issue in jqxPasswordInput regarding the Input tag's "type" attribute check. The "type" attribute should be always equal to "password".
- Fixed an issue in jqxRangeSelector regarding the "change" event.
- Fixed an issue in jqxRangeSelector regarding the "refresh" method when the widget does not have a content DIV tag.
- Fixed an issue in jqxCalendar regarding the Week Number calculation. The widget now uses the ISO 8601 week definition.
- Fixed an issue in jqxInput regarding the searching of Strings which start with '(' or ')'.

*********************************************
* jQWidgets v3.2.2 Release, Mar-21-2014     *
*********************************************

What's Fixed:

- Fixed an issue in jqxComboBox regarding the selectItem method when multiSelect property is set to true.
- Fixed an issue in jqxListBox regarding the widget's horizontal scrollbar layout in IE7.
- Fixed an issue in the jQuery UI Compatible themes about the jqxWindow icons styling.
- Fixed an issue in jqxTreeGrid regarding the cellsAlign property when grouping is enabled.
- Fixed an issue in jqxTreeGrid regarding the export to html/excel when a column's cellClassName is set to a custom CSS class.
- Fixed an issue in jqxTreeGrid about the height and width properties. When they are set dynamically, the widget did not automatically update its size.
- Fixed an issue in jqxTreeGrid regarding the row editing when the data is Sorted.
- Fixed an issue in jqxTreeGrid regarding the ensureRowVisible method.
- Fixed an issue in jqxGrid regarding its "focus" method in Chrome.
- Fixed an issue in jqxGrid regarding the cells selected style rendering when virtual mode and paging are enabled.
- Fixed an issue in jqxGrid regarding the filter row's disabled state.
- Fixed an issue in jqxComboBox regarding the dynamic setting of the "renderer", "renderSelectedItem" and "itemHeight" properties.
- Fixed an issue in jqxDragDrop regarding the onDropTargetLeave and onDropTargetEnter callback functions.

*********************************************
* jQWidgets v3.2.1 Release, Feb-05-2014     *
*********************************************

What's Fixed: 

- Fixed an issue in jqx.base.css regarding a missing CSS style for jqxButton.
- Fixed an issue in jqxListBox Drag & Drop when there are hidden ListBox widgets on the page.
- Fixed an issue in jqxGrid regarding the Checked List Filter when all items are unselected.
- Fixed an issue in jqxTabs regarding its initialization from a hidden DIV tag. 
- Fixed an issue in jqxDateTimeInput regarding its initialization from a hidden DIV tag.
- Fixed an issue in jqxWindow regarding the Tab-key navigation, when there are two or more Modal Windows opened. 
- Fixed an issue in jqxTreeGrid regarding the mouse selection in an Editor when there's a Pinned Column and the Editor is from a non-pinned column.

*********************************************
* jQWidgets v3.2.0 Release, Feb-01-2014     *
*********************************************

What's New:

- Added help topics about using jQWidgets with Wordpress, Joomla, BreezeJS, RequireJS and Twitter Bootstrap.
- jqxTreeGrid and jqxDataTable Columns Reorder.
- jqxTreeGrid, jqxDataTable and jqxTree Incremental Search.
- Theme Builder - Save/Load theme settings.
- Theme Builder - Added new theme settings.
- Documentation API Filtering.

What's Improved:

- Bootstrap Theme.
- jqxDateTimeInput UI. 
- jqxGrid columns auto-width behavior. If you do not set the width of a column, it will occupy the remaining space.
- Moved the Theme Builder's Preview tab to the Settings Area.
- jqxResponse OS and OS Version detection.
 
What's Fixed:

- Fixed an issue in jqxGrid regarding the full row edit feature, when a column is with different display and data fields. 
- Fixed an issue in jqxGrid regarding the "destroy" method. Some touch event handlers were not removed.
- Fixed an issue in jqxGrid regarding the "loadState" method. The method did not load the state of a hidden Column, if the Column is Grouped.
- Fixed an issue in jqxGrid regarding the filtering of a Number column when the filtertype is set to "checkedlist".
- Fixed an issue in jqxGrid regarding the virtual scrolling.
- Fixed an issue in jqxPanel regarding the horizontal scrollbar maximum value calculation on Touch Devices.
- Fixed an issue in jqxDragDrop regarding the dropTargetEnter and dropTargetLeave events when there are multiple drop targets situated one next to another.
- Fixed an issue in jqxDragDrop when the plugin is used in IFrame and the parent document's domain is different.
- Fixed an issue in jqxMenu regarding the "destroy" method. Some touch event handlers were not removed.
- Fixed an issue in jqxRangeSelector regarding the "getRange" method's return value when the RangeSelector's margin is set in percentages. 
- Fixed an issue in jqxComboBox regarding its selection when the input's value is an empty string.
- Fixed an issue in jqxComboBox regarding its selection when ESC is pressed and the item's value is Integer.
- Fixed an issue in jqxTreeGrid regarding the rendering after adding or removing records.
- Fixed an issue in jqxTooltip regarding the autoHideDelay property behavior.
- Fixed an issue in jqxCalendar regarding the keyboard navigation in Chrome 32.
- Fixed an issue in jqxDateTimeInput about entering a Date with the keyboard when the minDate is in the past.
- Fixed an issue in jqxSlider about the "change" event. The event was raised twice after calling the val method.

Breaking Changes:

.jqx-icon-arrow-up, .jqx-icon-arrow-left, .jqx-icon-arrow-up and .jqx-icon-arrow-right CSS classes are now used for displaying icons in all widgets. 
That change may require the update of custom Themes. 

*********************************************
* jQWidgets v3.1.0 Release, Dec-23-2013     *
*********************************************

What's New:

- jqxTreeGrid, jqxDataTable and jqxRangeSelector widgets.
- jqxChart Polar axis rendering.
- jqxChart Support for live data updates.
- jqxChart Series toggle using legend check marks.
- jqxChart Series toggle events.
- jqxChart Axis text animation.
- jqxChart Multi-line axis text.
- jqxGrid Excel-like Filtering.
- jqxGrid Full Row Edit.
- jqxGrid Printing.
- 120+ New Demos. 

What's Improved:

- jqxChart Line and fill color settings in normal and selected mode.
- jqxChart Line and fill color settings for serie symbols in normal and selected mode.
- jqxChart Spline points calculations.
- jqxChart Smart labels positioning along line and area series.
- jqxChart Improved automatic value axis interval calculation.
- jqxChart Animated labels in pie and donut series.
- jqxGrid Clipboard Operations - Cut, Copy, Paste.
- API Documentation - added JSFiddle samples for each property, method and event.
- How-to help topics about building mobile applications for Android, iOS, Blackberry 10 and Windows Phone 8 with jQWidgets & PhoneGap.
- How-to help topic about using PhoneGap Build Cloud Service.
- How-to help topic about using Ripple Emulator.

What's Fixed:

- Fixed an issue in jqxGrid regarding the Validation popup display position.
- Fixed an issue in jqxGrid regarding the aggregates re-calculation after filtering.
- Fixed an issue in jqxChart regarding tooltips when overlapping with mouse cursor.
- Fixed an issue in jqxChart regarding the symbol rendering along line series.
- Fixed an issue in jqxResponse regarding the browser version detection.
- Fixed an issue in jqxListBox and jqxGrid regarding the mouse-wheel scrolling in IE11.
- Fixed an issue in jqxInput regarding the Popup rendering when the widget has padding.
- Fixed an issue in jqxListBox regarding the rendering of empty items.
- Fixed an issue in jqxComboBox regarding the click handling of items in "multiselect" mode.

*********************************************
* jQWidgets v3.0.4 Release, Nov-1-2013      *
*********************************************

What's New:

- Added support for Internet Explorer 11

What's Fixed:

- Fixed an issue in jqxGrid regarding the Columns Hierarchy rendering when the Grid is grouped and the state of a Group is changed.
- Fixed an issue in jqxGrid regarding the aggregates rendering when a column is dynamically hidden after 'beginupdate' method call.
- Fixed an issue in jqxGrid regarding the columns reordering of nested grids.
- Fixed an issue in jqxGrid regarding the handling of null values in the aggregates calculation functions.
- Fixed an issue in jqxGrid regarding the grouping in virtual mode when paging is enabled.
- Fixed an issue in jqxGrid regarding the ComboBox editor when the column's displayfield and datafield properties are set.
- Fixed an issue in jqxGrid regarding the save/load state when the Grid is in virtual mode.
- Fixed an issue in jqxGrid regarding the columns resizing in Firefox when the Grid is in container with absolute position and the showfilterrow property is set to true. 
- Fixed an issue in jqxNumberInput regarding the "." key handling when the edited number is integer.
- Fixed an issue in jqxNumberInput regarding the negative numbers rendering when the decimalSeparator property is set and after calling the setDecimal method.
- Fixed an issue in jqxNavigationBar regarding the "remove" method. The widget was not updated correctly after removing the last item when it is expanded.
- Fixed an issue in jqxComboBox regarding the widget's rendering within jqxWindow.
- Fixed an issue in jqxComboBox regarding the auto-height behavior after dynamically setting the autoDropDownHeight property.
- Fixed an issue in jqxComboBox regarding the unselectItem method when multiSelect property is set to true.
- Fixed an issue in jqxLinkButton regarding the dynamic changing of the "disabled" property.

*********************************************
* jQWidgets v3.0.3 Release, Oct-01-2013     *
*********************************************

What's New:

- jqxGrid Paging mode.
- 4 new themes. 

What's Fixed:

- Fixed an issue in jqxGrid regarding the "selectall" method when checkbox selection is enabled.
- Fixed an issue in jqxGrid regarding the columns resizing in RTL mode when the Grid's horizontal scrollbar is hidden.
- Fixed an issue in jqxGrid regarding the "cellbeginedit" and "cellendedit" events. The events were not raised correctly after pressing the "enter" key.
- Fixed an issue in jqxGrid regarding the tooltip text formatting.
- Fixed an issue in jqxGrid regarding the Excel export when a String column is with Null values.
- Fixed an issue in jqxGrid regarding the Grouping of a column with "groupable" set to false when Columns Reorder is enabled.
- Fixed an issue in jqxGrid regarding the TextBox editor, when the edited value is a localized number.
- Fixed an issue in jqxGrid regarding the "loadstate" method when the Grid is in virtual mode.
- Fixed an issue in jqxComboBox regarding the auto-complete when 1 item is found and a horizontal scrollbar is displayed. The DropDown's height was not enough for displaying the full item.
- Fixed an issue in jqxCalendar regarding the Special Dates feature when the special date is added with a custom CSS Class.
- Fixed an issue in jqxCalendar regarding the selection after navigation through the year view.
- Fixed an issue in jqxTree regarding the horizontal scrollbar's max value calculation.

*********************************************
* jQWidgets v3.0.2 Release, Aug-26-2013     *
*********************************************

What's New:

- 3 New Themes(Arctic, Orange and Metro Dark)

What's Fixed:

- Fixed an issue in jqxGrid regarding the columns hierarchy rendering when a grid column is pinned.
- Fixed an issue in jqxGrid regarding the rendering of a cell editor from a pinned column when the grid is horizotally scrolled.
- Fixed an issue in jqxGrid regarding the server filtering of date values. The parameters sent to the server are now formatted using the Column's cells format set by the user.
- Fixed an issue in jqxGrid regarding the grouping when pager is enabled and the grid is grouped by dates.
- Fixed an issue in jqxGrid regarding the "showvalidationpopup" method when the method is called for the last Grid row and there is a horizontal scrollbar. The validation popup was displayed under the scrollbar.
- Fixed an issue in jqxGrid regarding the column width calculation when the column's width is not set.
- Fixed an issue in jqxDropDownList regarding the rendering after calling the "uncheckAll" method.

*********************************************
* jQWidgets v3.0.1 Release, Aug-19-2013     *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding the columns hierarchy rendering after updating the Grid's data source.
- Fixed an issue in jqxGrid regarding the cellclick event in virtual mode. The rowindex parameter was with incorrect value.
- Fixed an issue in jqxGrid regarding the getrows method result in virtual mode. 
- Fixed an issue in jqxListBox regarding the getItem method when the passed parameter is integer.
- Fixed an issue in jqxComboBox regarding the multi select feature. Clicking the dropdown button for closing the dropdown was selecting an item.
- Fixed an issue in jqxButtonGroup regarding the mode property when it is changed from radio to checkbox. The checked radio button was not removing its state.

*********************************************
* jQWidgets v3.0.0 Release, Aug-16-2013     *
*********************************************

What's New:

 - jqxGrid CheckBox selection.
 - jqxGrid Columns Hierarchy.
 - jqxGrid Custom editors.
 - jqxComboBox Multi Select feature.
 - jqxInput UI add-ons.

What's Improved:

- jqxComboBox auto-complete functionality.

What's Fixed:

- Fixed an issue in jqxGrid regarding the ensurerowvisible method when row details are enabled.
- Fixed an issue in jqxGrid regarding the rendering in RTL mode when the Grid has a filter row and is grouped.
- Fixed an issue in jqxGrid regarding the z-index of a DropDownList editor when the user horizontally scrolls a Grid which has multiple pinned columns and there is opened DropDownList editor.
- Fixed an issue in jqxGrid regarding the setcellvalue method when the column passed as parameter is of type "number" and is nullable and the new cell value is an empty string. The cell's value was incorrectly set to 0.
- Fixed an issue in jqxGrid regarding the row's boundindex parameter value when the Grid is filtered. The boundindex value was incorrect in the Grid cells and row selection events.
- Fixed an issue in jqxMaskedInput regarding the numpad keys handling.
- Fixed an issue in jqxMaskedInput regarding the keyboard handling in Firefox.
- Fixed an issue in jqxInput regarding the Knockout binding of the widget's value.
- Fixed an issue in jqxListBox regarding the "checkChange" event when the "checkAll" or "uncheckAll" methods are used.
- Fixed an issue in jqxTree regarding its "destroy" method. 
- Fixed an issue in the Fresh theme regarding the hover and select states of Grid cells under IE7, IE8 and IE9.
- Fixed an issue in jqxWindow regarding the getter of the "title" property.

*********************************************
* jQWidgets v2.9.3 Release, July-11-2013    *
*********************************************

- Fixed an issue in jqxChart regarding the tooltip positioning when the Chart's position is absolute or relative.
- Fixed an issue in jqxGrid regarding the load state feature when the Grid is in virtual mode.
- Fixed an issue in jqxGrid regarding the automatic resizing when the size is set in pecentages.
- Fixed an issue in jqxGrid regarding the rendering in RTL mode when grouping is enabled and the grid columns overflow.
- Fixed an issue in jqxGrid regarding the rendering when grouping is enabled and there is a pinned column. 
- Fixed an issue in jqxGrid regarding the editing of "time" values through the default textbox editor.
- Fixed an issue in jqxGrid regarding the filtering of numbers when the decimal separator is localized.

*********************************************
* jQWidgets v2.9.2 Release, July-04-2013    *
*********************************************

- Fixed an issue in jqxTreeMap regarding the rendering in IE7.
- Fixed an issue in jqxTree regarding the items rendering in IE7.
- Fixed an issue in jqxListMenu regarding the rendering in Right-To-Left mode in IE7.
- Fixed an issue in jqxListMenu regarding its "click" event handler in Windows Phone 8.
- Fixed an issue in jqxGrid regarding the cells text vertical alignment when the "rowsheight" property is set in Windows Phone 8.
- Fixed an issue in jqxListBox regarding its "click" event handler when "checkboxes" is set to true and the widget is used on a Touch device.
- Fixed an issue in jqxExpander regarding its rendering when the widget is created outside the DOM.
- Fixed an issue in jqxChart regarding the rendering in Right-To-Left mode. 
- Fixed an issue in jqxComboBox KO integration.

*********************************************
* jQWidgets v2.9.1 Release, June-28-2013    *
*********************************************

What's Fixed:

- Fixed an issue in jqxButtonGroup regarding the "disabled" state rendering.
- Fixed an issue in jqxButtonGroup regarding the "destroy" method.
- Fixed an issue in jqxListBox regarding the "updateItem" method when the index of the item to be updated is 0.
- Fixed an issue in jqxGrid regarding the "autoloadstate" behavior when virtualmode is set to true and the Grid is sorted.
- Fixed an issue in jqxGrid regarding the "autoloadstate" behavior when virtualmode is set to true, the Grid was making unnecessary additional binding operation.
- Fixed an issue in jqxWindow regarding the dynamic changes of the "isModal" property.

*********************************************
* jQWidgets v2.9.0 Release, June-24-2013    *
*********************************************

What's New:

- New Widgets: jqxTreeMap, jqxPasswordInput.
- New Plugin: jqxResponse.
- jqxChart step line series: stepline and steparea.
- jqxChart range series: rangecolumn, rangearea, splinerangearea, steprangearea.
- jqxChart rich tooltips with custom HTML support.
- jqxChart color bands.
- jqxChart dash style for all lines.
- jqxChart crosshairs.

What's Improved:

- Improved date type x-axis rendering in jqxChart.
- More options to control text rotation and text positioning along axes in jqxChart.
- Better tooltip formatting options and improved tooltip formatting documentation in jqxChart.
- Fill opacity, line width and line dash style support in all jqxChart series.
- Legend colors displayed using the fill opacity of the corresponding serie in jqxChart.

What's Fixed:

- Fixed an issue in jqxGrid regarding the rendering of a hovered cell when there is a selected cell in the same row.
- Fixed an issue in jqxGrid regarding the editing of cells when the Grid is grouped. The editing of cells from the grouped column is now disabled.
- Fixed an issue in jqxGrid regarding the filter row rendering when row details is enabled and the "showrowdetailscolumn" property is set to false.
- Fixed an issue in jqxGrid regarding the rendering when paging is enabled, auto-height is disabled and the "width" or "height" is dynamically changed.
- Fixed an issue in jqxGrid regarding the columns sorting after cells editing. 
- Fixed an issue in jqxGrid regarding the checkbox editor when space key is pressed and the column's "editable" property is set to false.
- Fixed an issue in jqxGrid regarding the getrowid method result when a filter is applied and the row is not displayed.
- Fixed an issue in jqxGrid regarding the resizing when the width and height properties are in percentages.
- Fixed an issue in jqxGrid regarding the rendering in virtualmode when the Grid's data source is updated dynamically and the scroll position is not the initial. 
- Fixed an issue in jqxGrid regarding the addrow method when new rows are dynamically added through the Knockout plug-in.
- Fixed an issue in jqxGrid regarding the export to excel and xml when the exported data contains special characters like '<', '>' or '&'.
- Fixed an issue in jqxGrid regarding the scrollbars rendering after dynamic resizing when the Grid's width and height are set in percentages.
- Fixed an issue in jqxChart regarding the SVG mode chart area clipping in IE9 and IE10
- Fixed an issue in jqxChart regarding the rendering with stacked columns with inversed position when the data contains undefined values.
- Fixed an issue in jqxChart regarding the rendering with the last point in line series when the previous data point is undefined value.
- Fixed an issue in jqxChart regarding the Rotated text clipping.
- Fixed an issue in jqxChart regarding the Text overflow along x/y axes.
- Fixed an issue in jqxListBox regarding the 'unselect' event's Item parameter. 
- Fixed an issue in jqxListBox regarding the rendering when the listbox is placed in a container with 'overflow: auto' and the listbox's width is in percentages.
- Fixed an issue in jqxInput regarding the dynamically changing of the "placeHolder" property.
- Fixed an issue in jqxInput regarding the binding to data with key/value pairs.
- Fixed an issue in jqxMenu regarding the rendering when "setItemOpenDirection" method is invoked for top-level menu items and "showTopLevelArrows" is set to false.
- Fixed an issue in jqxDateTimeInput regarding the numpad handling when the value is null.
- Fixed an issue in jqxDateTimeInput regarding the selection of dates from previous and next months.
- Fixed an issue in jqxComboBox regarding the "disabled" state when it is changed dynamically.
- Fixed an issue in jqxDocking regarding the mode property when it is set to "docked".
- Fixed an issue in jqxExpander regarding the content's size calculation after calling the "refresh" method.
- Fixed an issue in jqxSplitter regarding the disabled property. When the property is set, the mouse cursor still reacts on mouse move.
- Fixed an issue in jqxTree regarding the dragEnd callback when the item is dropped below all items in the Tree.
- Fixed an issue in jqxTree regarding the updateItem method when the new item's icon field is set.

Breaking Changes:

- jqxCore: Added validation for empty jQuery objects. The exception's error message will remind you to check whether the used ID or CSS Class in the jQuery selection is correct.  
- jqxGrid: Added validation for invalid column properties. An exception will be thrown if an invalid property is used.
- jqxGrid: Changed the behavior of the horizontal scrolling when the Grid is grouped. The columns with the Toggle buttons which expand/collapse the groups are no longer pinned.
- jqxChart: In previous versions of jqxChart the text was rotated around its center. In the new version
you can also rotate around the left or right end of the text by setting the textRotationPoint property.
In order for this new option to work properly with the vertical and horizontal text alignment properties, the default text positioning had to change.
If you are using the textRotationAngle with the verticalTextAlignment or horizontalTextAligment options, you may
need to make a minor change and set the value of the textRotationPoint property as well.

*********************************************
* jQWidgets v2.8.3 Release, Apr-29-2013     *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding the "cellvaluechanged" event.
- Fixed an issue in jqxMaskedInput regarding the "destroy" method.
- Fixed an issue in jqxTree regarding the rendering of an item with checkbox after invoking the "addTo" method.

*********************************************
* jQWidgets v2.8.2 Release, Apr-27-2013     *
*********************************************

What's New:

- jqxChart axis position property allowing to position x and y axes on any side of the chart.
- jqxChart axis padding property allowing to set space between adjacent axes.

What's Improved:

- jqxTree - added addBefore, addAfter and updateItem API methods.
- jqxGrid - improved XML binding. It is now possible to load data from the XML attributes.
- jqxChart - improved date string handling in old IE browsers.
- jqxChart - prevent chart refersh when the host element is not visible.

What's Fixed:

- Fixed an issue in jqxButtonGroup regarding the dynamic changing of themes.
- Fixed an issue in jqxComboBox regarding the getSelectedItem method. Results were incorrect when the auto-complete is enabled.
- Fixed an issue in jqxChart regarding the minor tickmarks overflow.
- Fixed an issue in jqxChart with clipping chart legend when it doesn't fit properly.
- Fixed an issue in jqxChart regarding the gradient fill with multiple chart instances in Firefox browsers
- Fixed an issue in jqxDateTimeInput in FF regarding Date editing.
- Fixed an issue in jqxDateTimeInput regarding the Today and Clear footer buttons.
- Fixed an issue in jqxGrid regarding the inline editing of numeric values using the textbox editor.
- Fixed an issue in jqxGrid regarding the row details rendering when the autoheight and autorowheight properties are enabled.
- Fixed an issue in jqxGrid regarding the Knockout Integration - the issue was related with the rows delete.
- Fixed an issue in jqxGrid regarding the Export to Excel of cells with integer values.
- Fixed an issue in jqxGrid regarding the Export to Excel. The exported data can now be opened from OpenOffice.
- Fixed an issue in jqxSlider regarding the rendering of the range bar.
- Fixed an issue in jqxMenu regarding the autoOpen functionality when a top-level menu item without anchor tag is clicked.
- Fixed an issue in jqxDateTimeInput regarding the 'change' event triggering. The event was incorrectly triggered more than once after selection.

*********************************************
* jQWidgets v2.8.1 Release, Apr-12-2013     *
*********************************************

What's New: 

- Added WAI-ARIA support.
- Added Bootstrap and Web themes.

What's Fixed:

- Fixed an issue in jqxCalendar regarding the rendering of the focused cell in the Year view.
- Fixed an issue in jqxListBox regarding the "selectItem" method when the items in the ListBox are grouped.
- Fixed an issue in jqxListBox regarding the rendering of empty items.
- Fixed an issue in jqxGrid regarding the horizontal scrolling of pinned columns when the Grid is empty.
- Fixed an issue in jqxGrid regarding the update of Grid cells when the Grid is filtered and the data source is observable array.
- Fixed an issue in jqxGrid regarding the Date Range filter when the range is not entered.
- Fixed an issue in jqxGrid regarding the save/load state functionality. The date filter was not loaded correctly in IE7 and IE8.
- Fixed an issue in jqxGrid regarding the horizontal scrollbar's max value when the vertical scrollbar is not visible.
- Fixed an issue in jqxGrid regarding the rowid parameter value of the 'updaterow' callback after cells editing.
- Fixed an issue in jqxGrid regarding the Export to Excel when the Grid has aggregates.

*********************************************
* jQWidgets v2.8.0 Release, Mar-22-2013     *
*********************************************

What's New:

- Added support for jQuery's val() method to all inputs. 
- Added error labels to jqxValidator.
- Added columnSeriesOverlap property to jqxChart, false by default.
- Added date type category axis support for hour, minute, second, millisecond baseUnit in jqxChart.
- Added an option to specify whether a jqxGrid column allows null values, true by default.

What's Improved:

- jqxGrid Localization
- jqxGrid Checked List Filter Items are displayed sorted by default.
- jqxChart display of points representing line series with single values

What's Fixed:

- Fixed an issue in jqxGrid regarding the columns menu close behavior.
- Fixed an issue in jqxGrid regarding the sorting of a filtered grid.
- Fixed an issue in jqxGrid regarding the editing of a sorted grid.
- Fixed an issue in jqxGrid regarding the rtl rendering when grouping or rows details features are enabled.
- Fixed an issue in jqxGrid regarding the grouping feature when "autorowheight" property is enabled.
- Fixed an issue in jqxGrid regarding the cells rendering when grouping is enabled and there are hidden columns.
- Fixed an issue in jqxGrid regarding the cells and rows selection while holding Shift key on a sorted Grid.
- Fixed an issue in jqxGrid regarding the cells editing when an editor is activated via key press and tab key is pressed.
- Fixed an issue in jqxGrid regarding the keyboard navigation in the row details.
- Fixed an issue in jqxGrid regarding the aggregated data calculation when there are cells with null values.
- Fixed an issue in jqxGauge regarding the ranges rendering when the range's endValue is set to 0.
- Fixed an issue in jqxNumberInput regarding the spin behavior when "min" and "max" are negative numbers.
- Fixed an issue in jqxNumberInput regarding the handling of dash key in FF.
- Fixed an issue in jqxListBox regarding the "disabled" state.
- Fixed an issue in jqxCalendar regarding the navigation by decade.
- Fixed an issue in jqxProgressBar regarding the "complete" event. The event was raised when the value change animation begins.
- Fixed an issue in jqxDataAdapter regarding datafields with values field.
- Fixed an issue in jqxTree regarding the checkItem method when the 3-state checkboxes are enabled.
- Fixed an issue in jqxGauge regarding dynamically setting the startAngle and endAngle properties.
- Fixed an issue in jqxCore regarding the touch device detection.
- Fixed an issue in jqxChart with calculation of horizontal offsets in date type category axis when baseUnit is set to 'day'.
- Fixed an issue in jqxChart for line series z-index displayed in combination with animated stacked column series.

Breaking Changes:

- Re-engineered jqxSplitter.
- jqxSplitter works with two split panels. 
- jqxSplliter cannot be created from a DIV tag which represents a split panel of another jqxSplitter instance.     
- Removed the "max" and "resizable" properties in the jqxSplitter's panels definition.
- Removed the deprecated "show" and "hide" methods. Since jQWidgets 2.3, "open" and "close" should be used instead of "show" and "hide".
- Renamed the .icon-arrow class to .jqx-icon-arrow.

*********************************************
* jQWidgets v2.7.0 Release, Feb-08-2013     *
*********************************************

What's New:

Right-to-Left Support.
jqxWindow, jqxNavigationBar and jqxExpander keyboard handling.
jqxGrid deferred scrolling.
jqxCalendar Month and Year Views.

What's Improved:

- jqxNavigationBar and jqxExpander layouts
- jqxTree, jqxCalendar Keyboard navigation.

What's Fixed:

- Fixed an issue in jqxGrid regarding the editing when the data source is KO observableArray.
- Fixed an issue in jqxGrid regarding the text selection after enabling the columns resizing in IE7 and IE8. 
- Fixed an issue in jqxGrid regarding the Popup Editing on Touch Device.
- Fixed an issue in jqxGrid regarding the hiding of the status bar, after the Grid's initialization.
- Fixed an issue in jqxGrid regarding the auto-height functionality.
- Fixed an issue in jqxGrid regarding the empty row rendering when the Grid's rows height is dynamic.
- Fixed an issue in jqxGrid regarding the validation popup's position after changing the horizontal scrollbar's position.
- Fixed an issue in jqxGrid regarding the textbox filter in the filter row. 
- Fixed an issue in jqxGrid regarding the checkbox editor's position when "autorowheight" is true.
- Fixed an issue in jqxGrid regarding the checkbox column, when the column's three state checkboxes are disabled and the cell's value is null.
- Fixed an issue in jqxGrid regarding the columns resizing when the width is specified in percentages and the data source is dynamically updated.
- Fixed an issue in jqxListBox regarding the horizontal scrolling when the checkbox rendering is enabled.
- Fixed an issue in jqxListBox regarding the items reorder on touch devices.
- Fixed an issue in jqxListBox regarding the getItemByValue method when items are dynamically added or removed.
- Fixed an issue in jqxGauge regarding the rendering of the minor ticks.
- Fixed an issue in jqxGauge regarding the value parsing when the Gauge is initialized.
- Fixed an issue in jqxWindow regarding the zIndex when multiple modal windows are opened.
- Fixed an issue in jqxComboBox regarding the DropDown rendering when "remoteAutoComplete" is on.
- Fixed an issue in jqxComboBox regarding the "remoteAutoComplete" when "Shift" key is pressed.
- Fixed an issue in jqxInput regarding the DropDown positioning.
- Fixed an issue in jqxValidator regarding the arrow rendering when the position is set to 'left'.

Breaking Changes:

- jqxDataAdapter foreign field definition.

    - Update instructions.	
	
	Find in your code where the Foreign column is defined and replace it by using the new syntax.
	
	Sample definition of a foreign column before:
		 
		// id - determines the id of a record in the foreign collection(employees.xml) which should match to the record's name in the source collection(orders.xml).
		// text - determines the display field from the foreign collection.
		// source - determines the foreign collection.
		// displayname - the field's name in the adapter's records array.
		// name - the field's name in the data source.
		// When the ordersAdapter is loaded, each record will have a field called "EmployeeName".  The "EmployeeName" for each record comes from the employeesAdapter where the record's "EmployeeID" from orders.xml matches to the "EmployeeID" from employees.xml. 
		{ name: 'EmployeeID', displayname: 'EmployeeName', map: 'm\\:properties>d\\:EmployeeID', text: 'EmployeeName', id: 'EmployeeID', source: employeesAdapter.records },


    The code below defines the same column with the new syntax:

		// name - determines the field's name.
		// value - the field's value in the data source.
		// values.source - specifies the foreign source. The expected value is an array.
		// values.value - specifies the field's value in the foreign source.  
		// values.name - specifies the field's name in the foreign source. 
		// When the ordersAdapter is loaded, each record will have a field called "EmployeeName". The "EmployeeName" for each record comes from the employeesAdapter where the record's "EmployeeID" from orders.xml matches to the "EmployeeID" from employees.xml. 
		{ name: 'EmployeeName', value: 'EmployeeID', values: { source: employeesAdapter.records, value: 'EmployeeID', name: 'EmployeeName' } }
    
 - Removed "expandedIndex" in jqxNavigationBar. Use "expandedIndexes" instead.
 - Removed "lockAt" and "unlockAt" in jqxNavigationBar. Use "disableAt" and "enableAt" instead.
 - Including jqxexpander.js when using jqxNavigationBar is no longer necessary.

 	     		         
*********************************************
* jQWidgets v2.6.0 Release, DEC-27-2012     *
*********************************************

What's New:

- jqxChart Logarithmic Axis.
- jqxInput widget.

What's Improved:

- jqxGrid horizontal scrolling performance.
- jqxChart text rotation attribute for the values along the y-axis.
- jqxChart horizontal and vertical text alignment for the items along the x-axis and y-axis.
- jqxChart horizontal and vertical description alignment for the items along the x-axis and y-axis.

What's Fixed:

- Fixed an issue in jqxMenu regarding the rendering of top-level menu items in IPhone 5.
- Fixed an issue in jqxTree regarding the scrollbars rendering when the jqxTree is displayed in a popup.
- Fixed an issue in jqxTooltip regarding the tooltips z-index.
- Fixed an issue in jqxGrid regarding the focus of the filter widget when grouping is enabled. 
- Fixed an issue in jqxGrid regarding the columns auto-resize when there are cells with null values.
- Fixed an issue in jqxGrid regarding the getrowid method when sorting is applied. 
- Fixed an issue in jqxGrid regarding the grouping by column with null values.
- Fixed an issue in jqxGrid regarding the sorting of columns when grouping is enabled and the "showgroupsheader" property is set to false.
- Fixed an issue in jqxGrid regarding the Touch behavior when autoheight is set to true.
- Fixed an issue in jqxGrid regarding the keyboard navigation when an editor is opened and the selectionmode is set to 'multiplecellsadvanced'.
- Fixed an issue in jqxGrid regarding the editing of KO observable fields.
- Fixed an issue in jqxGrid regarding the horizontal scrolling when an editor is opened.
- Fixed an issue in jqxNumberInput regarding the handling of the 'minus' key from the numpad.
- Fixed an issue in jqxWindow regarding the z-index when there are multiple modal windows.
- Fixed an issue in jqxDragDrop regarding the parameter passed to the onTargetDrop callback function.
- Fixed an issue in jqxDragDrop regarding the parameter passed to the onDropTargetLeave callback function.
- Fixed an issue in jqxComboBox regarding its layout after setting the width property to a percentage value.
- Fixed an issue in jqxNumberInput regarding the pasting of text from the Clipboard in Internet Explorer.
- Fixed an issue in jqxDropDownList regarding the item's selection when the list contains groups.
- Fixed an issue in jqxChart regarding the text overflow clipping in IE.
- Fixed an issue in jqxChart regarding the pie series fill style in HTML5 rendering on iOS devices.

*********************************************
* jQWidgets v2.5.5 Release, NOV-28-2012     *
*********************************************

What's New:

- Office and Metro Themes.
- Grid Excel-Like selection.

What's Fixed:

- Fixed an issue in jqxGrid regarding the columns reordering when there are pinned columns.
- Fixed an issue in jqxGrid export to excel when grouping is enabled and there are groups in the collection.
- Fixed an issue in jqxGrid regarding the columns reorder when filtering is enabled and filter row is disabled.
- Fixed an issue in jqxGrid regarding the columns reorder when the Grid has hidden columns.
- Fixed an issue in jqxGrid regarding cell editing on touch devices.
- Fixed an issue in jqxGrid regarding the cells editing in virtual mode.
- Fixed an issue in jqxGrid regarding the bool column's rendering.
- Fixed an issue in jqxGrid regarding the filter row. The items in the list and checkedlist filters were not updated after dynamically adding, updating, deleting rows.
- Fixed an issue in jqxGrid regarding the exporting of hidden columns.
- Fixed an issue in jqxGrid regarding the server filtering when the filter row is enabled.
- Fixed an issue in jqxGrid regarding the cells and columns vertical alignment when rowsheight and columnheight properties are changed.
- Fixed an issue in jqxGrid regarding the empty row rendering in IE7.
- Fixed an issue in jqxCalendar regarding the cells rendering in Firefox.
- Fixed an issue in jqxListBox regarding the touch scrolling behavior when the data source is changed.
- Fixed an issue in jqxComboBox regarding the auto-complete feature.
- Fixed an issue in jqxTabs regarding the scroll buttons appearance when the jqxTabs width is 'auto'.
- Fixed an issue in jqxListMenu regarding the items filtering in IE7.
- Fixed an issue in jqxWindow regarding the rendering of the close and collapse buttons.
- Fixed an issue in jqxTouch regarding the event propagation.
- Fixed an issue in jqxTree regarding the load on demand in IE7.

*********************************************
* jQWidgets v2.5.0 Release, Oct-12-2012     *
*********************************************

What's New:

- Knockout Integration.
- Added compatibility with Internet Explorer 10.
- Added ComboBox editor in jqxGrid.
- Added Checkboxes feature in jqxComboBox.
- Added Columns Reordering to jqxGrid.
- Added Save/Load state feature to jqxGrid.
- Added High Contrast Theme.

What's Improved:

- jqxListBox multiple selection.
- jqxListBox, jqxDropDownList and jqxComboBox loading and scrolling performance.
- jqxListBox checkboxes behavior.

What's Fixed:

- Fixed an issue in jqxGrid regarding the expand/collapse of the row's details and grouped rows in IE7.
- Fixed an issue in jqxGrid regarding the Filter row functionality when a filter for a specific column is disabled.
- Fixed an issue in jqxGrid keyboard navigation when the Grid rows are with rowdetailstemplate.
- Fixed an issue in jqxGrid regarding the localization of the aggregates.
- Fixed an issue in jqxGrid regarding the data export in IE7 and IE8.
- Fixed an issue in jqxGrid regarding the export to excel functionality in IE7 and IE8. The exported data was not with correct colors.
- Fixed an issue in jqxGrid regarding the pager's go to page input keyboard handling when editing is enabled.
- Fixed an issue in jqxGrid regarding the column's menu rendering when sorting and filtering are enabled and filterable or sortable of some columns are disabled.
- Fixed an issue in jqxGrid regarding its 'destroy' method. The issue was related to a memory leak in IE.
- Fixed an issue in jqxGrid regarding the validation popup after changing the data source.
- Fixed an issue in jqxGrid regarding the editing via the textbox. When numeric data is edited, the new value was without the column's formatting.
- Fixed an issue in jqxGrid regarding the calculation of the aggregates after cells editing via the textbox editor.
- Fixed an issue in jqxGrid regarding the DateTimeInput editor. The editor was crashing when the new cell value was null.
- Fixed an issue in jqxGrid regarding the aggregates. Aggregates are now updated depending on the applied filter.
- Fixed an issue in jqxGrid regarding the filter row in IE8. The issue happened when localization is applied in IE8 and the filter row is displayed.
- Fixed an issue in jqxGrid regarding the scrolling in IE7/IE8 when the mouse is moved over a text inside the Grid.
- Fixed an issue in jqxGrid regarding the editing of empty rows.
- Fixed an issue in jqxComboBox regarding the remote search functionality.
- Fixed an issue in jqxSplitter regarding the splitters resizing.
- Fixed an issue in jqxSplitter regarding the split bars cursors. If the split panel is not resizable, the cursor should not be changed to resize cursor.
- Fixed an issue in jqxCheckBox regarding its rendering when the disabled property is changed dynamically.
- Fixed an issue in jqxSlider regarding setting the min and max properties.
- Fixed an issue in jqxSlider regarding setting the disabled property and the disabled state rendering.
- Fixed an issue in jqxNumberInput regarding the copy/paste in IE7.
- Fixed an issue in jqxSplitter regarding the hiding of the collapse buttons.
- Fixed an issue in jqxTree touch scrolling when the jqxTree's height is not set.
- Fixed an issue in jqxListBox when checking/unchecking items on touch device.
- Fixed an issue in jqxListBox regarding the rendering of items with empty and null labels.
- Fixed an issue in jqxDateTimeInput when the initial value is null.
- Fixed an issue in jqxDateTimeInput regarding the localization.
- Fixed an issue in jqxDateTimeInput regarding the popup calendar's footer.
- Fixed an issue in jqxTabs regarding the tabs scrolling in IE7.
- Fixed an issue in jqxNumberInput regarding the spin buttons CSS state after 'mouse up' outside the widget.
- Fixed an issue in jqxTabs regarding the setTitleAt method when the tabs close buttons are enabled.
- Fixed an issue in jqxScrollbar when a scroll button is pressed and the mouse is released over another scroll button.

Breaking Changes:

- Modified the behavior of the Grid's addrow, deleterrow and updaterow methods. There's an additional parameter which is a callback function. To accept the changes, call result(true). When the server synchronization fails, call result(false). This will prevent the updating of the UI.

*********************************************
* jQWidgets v2.4.2 Release, Sep-12-2012     *
*********************************************

What's Fixed:

- Fixed an issue in jqxGrid regarding the paging functionality when the Grid rows are empty.
- Fixed an issue in jqxGrid regarding the export to excel functionality when there are data fields that do not match to the data source fields.
- Fixed an issue in jqxGrid regarding the export to html functionality when there are empty cells. The resulting table was not rendered correctly.
- Fixed an issue in jqxGrid regarding the localization of the strings in the filter row.
- Fixed an issue in jqxWindow regarding the expand/collapse functionality.
- Fixed an issue in jqxListBox regarding the dynamically changing of the widget's data source.
- Fixed an issue in jqxListBox regarding the list items rendering when the items are with checkboxes. 
- Fixed an issue in jqxChart regarding the Export to Image functionality.
- Fixed an issue in jqxListBox regarding the multiple items selection on touch devices after changing the data source.
- Fixed an issue in jqxTree when a selected item is disabled.

*********************************************
* jQWidgets v2.4.1 Release, Sep-07-2012     *
*********************************************

What's New:

- jqxGrid Export to Excel, XML, CSV, TSV, HTML and JSON
- Compatibility with jQuery 1.8.1


What's Fixed:

- Fixed an issue in jqxGrid regarding the columns resizing of nested grids.
- Fixed an issue in jqxGrid regarding the filter row keyboard handling when editing is enabled.
- Fixed an issue in jqxGrid regarding the 'min' aggregate function.
- Fixed an issue in jqxGauge regarding the rendering in IE7 and IE8.
- Fixed an issue in jqxMenu regarding the sub-menus closing animation.
- Fixed an issue in jqxDropDownList and jqxComboBox regarding the 'close' event. 
- Fixed an issue in jqxDropDownButton regarding its 'open' and 'close' events.
- Fixed an issue in jqxDateTimeInput regarding the popup calendar's animation rendering.
- Fixed an issue in jqxChart regarding the toolTipHideDelay.
- Fixed an issue in jqxDocking regarding the disabled property.
- Fixed an issue in jqxDocking regarding the windowsOffset property.
- Fixed an issue in jqxComboBox regarding the input field's rendering in FireFox.
- Fixed an issue in jqxListBox regarding the multiple selection on touch devices when the data source is changed.

*********************************************
* jQWidgets v2.4.0 Release, August-23-2012  *
*********************************************

What's New:

- jqxListView, jqxScrollView and jqxTouch widgets.
- jqxGrid Filter Row.
- jqxGrid StatusBar and Toolbar.
- jqxGrid Aggregates.
- jqxChart axes rotation.
- jqxChart Donut series
- jqxChart HTML5 Canvas rendering
- jqxChart Chart drawing in grey scale
- jqxChart Export to JPEG and PNG
- jqxChart Support for undefined / null values
- jqxChart Built-in support for custom color schemes
- jqxChart Rotation of chart seriesGroups by 90 degrees using 'orientation' property.
  The feature enables rendering all column series as bar series with no additional changes by
  simply swapping the location of the x-axis and y-axis. It works with all series types.
- jqxChart Category axis 'flip' property allows rendering in reverse order - right to left
- jqxChart Value axis 'flip' property allows rendering in reverse order - upside-down
- jqxChart Option to display symbols on the line and area series using symbolType proprty
- Compatibility with jQuery 1.8

What's Improved:

- jqxCalendar and jqxDateTimeInput selection. Added support for selection of ranges of dates. 
- jqxDropDownList, jqxComboBox and jqxDateTimeInput popup animations API. Added support 'fade' popup animation.
- jqxChart color gradients in pie, donut and bubble series
- jqxChart apply formatSettings prefix and sufix values to string value types
- jqxChart apply category axis formatting to tooltips and legend text in pie and donut series
- jqxChart performance improvements when rendering animations of column series
- jqxChart vertical animation of stacked column series
- jqxChart better documentation of valueAxis and series properties

What's Fixed:

- Fixed an issue in jqxGrid regarding the 'rowselect' event when the user clicks a row's details.
- Fixed an issue in jqxGrid regarding the rendeding of the multiple cells and rows selection area.
- Fixed an issue in jqxGrid regarding the rendering when jqxGrid grouping is enabled and there's a hidden column.
- Fixed an issue in jqxGrid regarding the horizontal scrolling when jqxGrid grouping is enabled and the Grid is empty.
- Fixed an issue in jqxNumberInput regarding the 'simple input mode' in IE7.
- Fixed an issue in jqxListBox regarding the widget's performance and rendering when the size is set in percentages.
- Fixed an issue in jqxListBox regarding the scrollbar thumb's rendering in IE8.
- Fixed an issue in jqxButton regarding the changing of its width and height properties after its initialization.
- Fixed an issue in jqxTree when an item is disabled and checkboxes are enabled. The checkboxes were not rendered correctly.
- Fixed an issue in jqxTree regarding the EnableAll method.
- Fixed an issue in jqxComboBox regarding the rendering of special characters in the input field after selection. 
- Fixed an issue in jqxGauge regarding its rendering when the 'min' property is changed.
- Fixed an issue in jqxDragDrop regarding the positioning of a dropped item when its position is relative.
- Fixed an issue in jqxChart with rendering series groups with multiple data sources when default source is not specified.
- Fixed an issue in jqxChart series elements overlapping of labels in line and area series.

*********************************************
* jQWidgets v2.3.1 Release, July-23-2012    *
*********************************************

What's New:

- PHP sample with virtual scrolling.
- PHP sample with nested grids.

What's Fixed:

- Fixed an issue in jqxListBox regarding the rendering of groups when checkboxes are displayed.
- Fixed an issue in jqxListBox regarding the checkboxes when 'hasThreeStates' is true. The indeterminate state was not working correctly on click.
- Fixed an issue in jqxGrid regarding the filtering when the datafields are created without 'type' field.
- Fixed an issue in jqxGrid regarding the multiple rows selection.
- Fixed an issue in jqxGrid regarding the cells and rows selection when the shift key is pressed and the selection is done with the keyboard arrows.
- Fixed an issue in jqxDateTimeInput when the value is set to null and the formatString is set to time.
- Fixed an issue in jqxTabs regarding the initTabContent function.
- Fixed an issue in jqxTabs regarding the jQuery UI compatible themes.
- Fixed an issue in jqxNumberInput regarding the cut, copy, paste feature.
- Fixed an issue in jQuery UI compatible themes regarding the scrollbar arrows rendering.

*********************************************
* jQWidgets v2.3.0 Release, July-13-2012     *
*********************************************

What's New: 

- 10 new themes.
- ButtonGroup widget.

What's Improved:

- Scrolling and rendering on touch devices. 
- jqxGrid rendering performance in Firefox
- jqxGrid data binding capabilities. New Unbound mode which allows you to manually fill the Grid with data via its API.
- jqxGrid JSON mapping and dates formatting.
- jqxGrid cells and columns alignment. Added support for 'center' alignment.
- jqxListBox, jqxDropDownList and jqxComboBox custom rendering.
- jqxTabs integration with other widgets.

What's Fixed:

- Fixed an issue in jqxGrid regarding the formatting of percentages.
- Fixed an issue in jqxGrid regarding dynamically changing the Grid's Theme.
- Fixed an issue in jqxGrid regarding the keyboard navigation with Tab key through hidden columns.
- Fixed an issue in jqxGrid regarding the cells editing when there are hidden columns.
- Fixed an issue in jqxGrid regarding the rows selection when a filter is applied and unapplied.
- Fixed an issue in jqxGrid regarding the grouping behavior on touch devices.
- Fixed an issue in jqxGrid regarding the selection behavior on touch devices.
- Fixed an issue in jqxGrid regarding the virtual mode when the data is coming from local data source.
- Fixed an issue in jqxGrid regarding the cells editing with textbox editor.
- Fixed an issue in jqxGrid regarding the columns resizing feature when the mouse is clicked inside .
- Fixed an issue in jqxGrid regarding the custom sorting functions. The 'sortcolumn' field was not updated in the object returned by the 'getsortinformation' method, when 
the method is called inside the sort callback function.
- Fixed an issue in jqxGrid regarding the 'rowselect' event. The event was triggered for selected row, too.
- Fixed an issue in jqxGrid regarding the data loader element's visibility. 
- Fixed an issue in jqxGrid regarding the dynamically changing of themes. The new theme was not applied correctly.
- Fixed an issue in jqxGrid regarding the groups rendering in IE7.
- Fixed an issue in jqxSplitter regarding the splitbar dragging over iframes.
- Fixed an issue in jqxSplitter regarding the rendering of collapse button when the parent element's visibility is hidden.
- Fixed an issue in jqxSplitter regarding the split panels size when the browser's window is resized.
- Fixed an issue in jqxListBox regarding the keyboard navigation.
- Fixed an issue in jqxListBox regarding the touch scrolling when the list items are elements with additional html elements.
- Fixed an issue in jqxComboBox regarding its search functionality.
- Fixed na issue in jqxListBox and jqxTree Drag and Drop.
- Fixed an issue in jqxTabs regarding the tabs reorder feature.
- Fixed an issue in jqxComboBox and jqxDropDownList regarding the popup's closing after click on a Chart.
- Fixed an issue in jqx.base.css regarding the a:visited style.
- Fixed an issue in jqxRadioButton and jqxCheckBox regarding the rendering of the disabled state.
- Fixed an issue in jqxDateTimeInput regarding the dates selection via the popup calendar.
- Fixed an issue in jqxMaskedInput regarding the inputValue method in IE7.
- Fixed an issue in jqxDragDrop regarding the events handling.
- Fixed an issue in jqxButton when the theme is dynamically changed.

Breaking Changes:

- Renamed 'show' and 'hide' events and methods in jqxDropDownButton, jqxDropDownList, jqxComboBox, jqxDateTimeInput, jqxWindow to 'open' and 'close'.
The change was made due to conflicts of using 'show' and 'hide' events in pages with MooTools.

*********************************************
* jQWidgets v2.2.0 Release, May-12-2012     *
*********************************************

What's New:

- jqxGauge - Radial and Linear Gauges
- jqxTree Drag and Drop
- jqxListBox Drag and Drop
- jqxTree and jqxMenu now can be built from JSON, JSONP, XML, CSV, TSV and Array.

What's Fixed:

- Fixed an issue in jqxGrid when the Grid's columns array is empty.
- Fixed an issue in jqxGrid regarding the filtering in server side mode.
- Fixed an issue in jqxGrid regarding cell editing in Nested Grids.
- Fixed an issue in jqxDateTimeInput regarding the widget's rendering.
- Fixed an issue in jqxTabs regarding the close buttons in new tabs when the showCloseButtons is true.
- Fixed an issue in jqxTabs regarding the triggering of the selection events when content animation is enabled. 
- Fixed an issue in jqxTabs regarding adding of new tabs.
- Fixed an issue in jqxTabs regarding the rendering of UL/LI tags inside tab panels.
- Fixed an issue in jqxTabs regarding the Tabs disabled state rendering.
- Fixed an issue in jqxProgressBar regarding the vertical progress rendering.
- Fixed an issue in jqxWindow regarding its z-index in Modal mode when multiple modal windows are opened.
- Fixed an issue in jqxDropDownList, jqxComboBox, jqxDropDownButton and jqxDateTimeInput regarding the popup's browser bounds detection.
- Fixed an issue in jqxDateTimeInput regarding the popup closing.
- Fixed an issue in jqxTree regarding the rendering in disabled state.
- Fixed an issue in jqxChart regarding the rendering of the labels in the Pie Chart.

*********************************************
* jQWidgets v2.1.0 Release, May-04-2012     *
*********************************************

What's New:

- Theme Builder app.
- jqxDropDownButton - button that displays any content in a Popup.
- jqxColorPicker - color picker widget.
- jqxChart Animations.

What's Fixed:

- Fixed an issue in jqxWindow regarding the 'show' method when the window is modal.
- Fixed an issue in jqxWindow regarding the Tab navigation in Modal mode.
- Fixed an issue in jqxWindow regarding the resizing behavior in Modal mode.
- Fixed an issue in jqxSplitter regarding the dragging when the content panel is IFRAme.
- Fixed an issue in jqxSplitter disabled property.
- Fixed an issue in jqxSplitter regarding the focus.
- Fixed an issue in jqxMenu 'itemclick' event. The event was raised for disabled items, too.
- Fixed an issue in jqxNumberInput regarding the spin up/down behavior.
- Fixed an issue in jqxNumberInput regarding the input behavior after setting a different decimal separator symbol.
- Fixed an issue in jqxNumberInput regarding the raising of the 'textchanged' event.
- Fixed an issue in jqxNumberInput regarding the cut/copy/paste in the simple input mode.
- Fixed an issue in jqxButton regarding the button's Pressed state when the button is in iframe and the mouse button is released outside the iframe.
- Fixed an issue in jqxGrid grouping rendering.
- Fixed an issue in jqxGrid when its width or height is changed dynamically. 
- Fixed an issue in jqxGrid regarding the dynamic changing of the columns array.
- Fixed an issue in jqxGrid regarding the columns visibility is changed dynamically.
- Fixed an issue in jqxGrid regarding the autoheight rendering when pager is disabled.
- Fixed an issue in jqxGrid regarding the virtual mode cell editing.
- Fixed an issue in jqxGrid regarding the nested Grids initialization and rendering.
- Fixed an issue in jqxGrid regarding timestamp parsing.
- Fixed an issue in jqxGrid regarding the zooming in mobile devices when the Grid columns resizing is enabled.
- Fixed an issue in jqxGrid regarding the filtering of boolean values.
- Fixed an issue in jqxComboBox when the data source is empty.
- Fixed an issue in jqxDateTimeInput's rendering in IE8 when the width property is not set. 
- Fixed an issue in jqxDateTimeInput's focus of calendar popup when the popup is opened with the calendar button.
- Fixed an issue in jqxValidator regarding the e-mail validation rule.
- Fixed an issue in jqxMenu, jqxComboBox, jqxDropDownList and jqxDateTimeInput regarding the popup's position in IPad3.
- Fixed an issue in jqxCalendar regarding the keyboard navigation.
- Fixed an issue in jqxDateTimeInput regarding the widget's layout.

Breaking Changes:

jqxDropDownList, jqxComboBox: renamed 'showListBox' and 'hideListBox' to 'show' and 'hide'. 
jqxDropDownList, jqxComboBox: renamed 'open' and 'close events to 'show' and 'hide'. 
jqxDateTimeInput: renamed 'open' and 'close' events to 'show' and 'hide'.
jqxDateTimeInput: renamed 'showCalendar' and 'hideCalendar' to 'show' and 'hide'.

*********************************************
* jQWidgets v2.0.0 Release, APR-06-2012     *
*********************************************

What's Improved:

- jqxGrid dynamic resizing. It is now possible to set the jqxGrid's width or height at run-time after the jqxGrid's initialization.
- Improved jqxGrid Time Filtering
- jqxDataAdapter data binding to arrays. Is is now possible to define the binding path to properties in complex objects.

What's Fixed:

- Fixed an issue regarding the jqxGrid filtering. The pager was not updated correctly.
- Fixed an issue regarding the jqxGrid localization. The patterns were not localized.
- Fixed an issue regarding the jqxGrid filtering menu z-index in IE7.
- Fixed an issue regarding the jqxGrid when the column's width is set to a value which is less than the column's minwidth. 
- Fixed an issue regarding the jqxGrid columns click event handler.
- Fixed an issue regarding the jqxChart tick-marks rendering.
- Fixed an issue regarding the jqxChart Areas rendering in IE8.
- Fixed an issue regarding the jqxTree horizontal scrolling.
- Fixed an issue regarding the jqxTree CheckBoxes rendering in IE7.
- Fixed an issue regarding the jqxPanel scrolling in IE7 & IE8.
- Fixed an issue regarding the jqxTree, jqxListBox, jqxPanel, jqxDropDownList, jqxComboBox and jqxGrid mouse-wheel in IE7.
- Fixed an issue regarding the jqxDropDownList, jqxComboBox, jqxDateTimeInput popup z-index in IE7 when the widget's container is the jqxWindow.

*********************************************
* jQWidgets v1.9.0 Release, MAR-23-2012     *
*********************************************
What's New:

- Switch Button
- jqxListBox incremental search

What's Improved:

- jqxGrid Dates parsing. 
- jqxGrid Documentation. Added 7 new help topics about using the jqxGrid in ASP .NET.
- jqxChart Documentation. Added 2 new help topics about using the jqxChart in ASP .NET.

What's Fixed:

- Fixed an issue regarding the jqxGrid editing when a column's editable property is set to false.
- Fixed an issue regarding the jqxGrid keyboard navigation in virtual mode.
- Fixed an issue regarding the jqxGrid 'getrowdata' and 'getrowvisibleindex' methods in virtual mode.
- Fixed an issue regarding the jqxGrid 'rowunselect' event in virtual mode.
- Fixed an issue regarding the jqxGrid focus in virtual mode.
- Fixed an issue regarding the jqxGrid cells z-index.
- Fixed an issue regarding the jqxGrid pagechanged event.
- Fixed an issue regarding the jqxGrid columns resize when the context menu is opened.
- Fixed an issue regarding the jqxGrid is filtered and there are opened row details.
- Fixed an issue regarding the jqxMenu separator rendering in IE7.
- Fixed an issue regarding the jqxMenu top-level arrows rendering in IE7.
- Fixed an issue regarding the jqxTabs visual style.
- Fixed an issue regarding the jqxTabs when the jqxTabs is initialized after its content.
- Fixed an issue regarding the jqxNumberInput spin up/down behavior.
- Fixed an issue regarding the jqxWindow when its content is changed dynamically.

*********************************************
* jQWidgets v1.8.0 Release, MAR-09-2012     *
*********************************************
What's New:

- jqxGrid Cells Editing.
- Validation Plug-in
- Drag and Drop Plug-in
- jqxGrid Keyboard Navigation
- jqxGrid Columns UI Virtualization.
- jqxListBox, jqxComboBox and jqxDropDownList - data binding to Array, JSON, XML, JSONP, CSV and TSV.

What's Improved:

- jqxGrid Columns Resizing and Grouping on touch devices.
- jqxDropDownList and jqxComboBox keyboard navigation.
- jqxNumberInput keyboard input.
- jqxCheckBox, jqxRadioButton and jqxDropDownList tab navigation.
- jqxGrid, jqxChart and jqxSplitter help documentation.
- jqxPanel layout. 

What's Fixed:

- Fixed an issue regarding the jqxGrid auto-height functionality.
- Fixed an issue regarding the jqxGrid groups rendering in IE7.
- Fixed an issue regarding the jqxGrid cells z-index in IE7.
- Fixed an issue regarding the jqxGrid mouse-wheel suppport.
- Fixed an issue regarding the jqxGrid checkbox column rendering.
- Fixed an issue regarding the jqxGrid virtual scrolling.
- Fixed an issue regarding the jqxGrid pager rendering. 
- Fixed an issue regarding the jqxGrid columns auto-sizing.
- Fixed an issue regarding the jqxGrid columns collection when the collection is updated dynamically.
- Fixed an issue regarding the jqxGrid columns menu.
- Fixed an issue regarding the jqxGrid Date formatting. The Grid now correctly parses MySQL DATETIME.  
- Fixed an issue regarding the jqxGrid mouse click handling when the row details is enabled and the horizontal scrollbar's 

value is not 0. 
- Fixed an issue regarding the jqxGrid ensurerowvisible method when the Grid has row details.
- Fixed an issue regarding the jqxGrid Row-Details rendering.
- Fixed an issue regarding the jqxGrid filtering when the Row-Details feature is enabled.
- Fixed an issue regarding the jqxGrid filtering callback function that allows custom filtering scenarios.
- Fixed an issue regarding the jqxGrid filtering data sent to the server with the binding's ajax call.
- Fixed an issue regarding the jqxGrid pager's 'show rows' dropdown when there are multiple Grid instances on the same page.
- Fixed an issue regarding the jqxGrid pager's pagesize property when the data is initially loaded.
- Fixed an issue regarding the jqxGrid columns z-index.
- Fixed an issue regarding the jqxGrid columnresized event.
- Fixed an issue regarding the jqxGrid data refreshing.
- Fixed an issue regarding the jqxGrid context menu localization.
- Fixed an issue regarding the jqxGrid horizontal scrollbar visibility when the grid is in grouping mode. 
- Fixed an issue regarding the jqxChart rendering after updating the data source.
- Fixed an issue regarding the jqxScrollBar behavior in IPhone and IPad.
- Fixed an issue regarding the jqxScrollBar thumb rendering on touch devices.
- Fixed an issue regarding the touch devices zoom in/out behavior of jQWidgets.
- Fixed an issue regarding the jqxListBox, jqxDropDownList and jqxComboBox theming.
- Fixed an issue regarding the jqxNumberInput and jqxMaskedInput theming.
- Fixed an issue regarding the jqxDateTimeInput dynamic resizing by setting the width and height properties. 
- Fixed an issue regarding the jqxDateTimeInput theming.
- Fixed an issue regarding the jqxSplitter when the split panels size is set with percentages.
- Fixed an issue regarding the jqxSplitter split panels initialization.
- Fixed an issue regarding the jqxSplitter resizing.
- Fixed an issue regarding the jqxListBox selectedIndex property.
- Fixed an issue regarding the jqxWindow resizing.
- Fixed an issue regarding the jqxDocking importLayout function.
- Fixed an issue regarding the jqxTabs initialization of elements inside the content panels.


*********************************************
* jQWidgets v1.7.0 Release, FEB-14-2012     *
*********************************************

What's New: 

- jqxGrid cells selection.
- jqxGrid Touch scrolling.

What's Improved:

- jqxGrid virtual mode rendering.
- jqxGrid rows selection.
- jqxScrollBar scrolling behavior on touch-enabled devices.
- jqxChart stacked series 1px precision rendering issue in SVG mode.
- jqxChart SVG vertical lines rendering quality in Firefox & Chrome.
- jqxDateTimeInput Null Dates support.

What's Fixed:

- Fixed an issue regarding the jqxGrid vertical scrolling.
- Fixed an issue regarding the jqxGrid when the data source is empty.
- Fixed an issue regarding the jqxGrid filtering of local data.
- Fixed an issue regarding the jqxGrid filtering of numeric data.
- Fixed an issue regarding the jqxGrid filtering of string data.
- Fixed an issue regarding the jqxGrid filtering panel. The dropdown were not 
closing correctly when the user starts scrolling.
- Fixed an issue regarding the jqxGrid destroy method. 
- Fixed an issue regarding the jqxGrid sorting when the sort field name is 'constructor'. 
- Fixed an issue regarding the jqxChart with rendering outside of the series minValue & maxValue
- Fixed an issue regarding the jqxListBox, jqxDropDownList and jqxComboBox items rendering.
- Fixed an issue regarding the jqxComboBox and jqxDropDownList items selection.
- Fixed an issue regarding the jqxScrollBar and jqxGrid theme switching.
- Fixed an issue regarding the jqxListBox, jqxComboBox and jqxDropDownList source property.
- Fixed an issue regarding the jqxListBox removeAt and insertAt methods.
- Fixed an issue regarding the jqxSplitter's collapsible property.
- Fixed an issue regarding the naming of the jqxSplitter's orientation property. 
- Fixed an issue regarding the jqxDateTimeInput Spin Up/Down behavior.
- Fixed an issue regarding the jqxDateTimeInput setDate method.
- Fixed an issue regarding the jqxTree items rendering.

Breaking Changes:

- Renamed the jqxGrid source object's data property to localdata.
- Changed the default splitter's Orientation from 'horizontal' to 'vertical'.

*********************************************
* jQWidgets v1.6.0 Release, FEB-03-2012     *
*********************************************

What's New:

- jQuery Chart - jqxchart.js
- jQuery Data Source - jqxdata.js

What's Improved:

- jqxGrid data binding capabilities. jqxGrid now supports binding to CSV and TSV data.

What's Fixed:

- Fixed an issue regarding the jqxGrid rendering when the Grid is filtered and grouped.
- Fixed an issue regarding the jqxGrid auto-height functionality.
- Fixed an issue regarding the jqxTree scrolling in IE9.
- Fixed an issue regarding the jqxTabs keyboard navigation.
- Fixed an issue regarding the jqxTree checkbox rendering.
- Fixed an issue regarding the jqxDocking move function.

Breaking changes:

jqxGrid now requires referencing the jqxdata.js.The implementation and logic of the jqxGrid features is separated into 

modules. To use a feature, you will
need to load the module's javascript file.

*********************************************
* jQWidgets v1.5.0 Release, JAN-30-2012     *
*********************************************

What's New:

jQuery Docking - jqxdocking.js
jqxGrid Columns Resizing
jqxGrid JSONP binding.

What's Improved:

jqxNumberInput input functionality. Implemented a spin mode that depends on the caret's position.  
jqxGrid Server-Side processing capabilites.
jqxWindow expand/collapse capabilities.

What's Fixed:

Fixed an issue regarding the jqxGrid mouse-wheel handling.
Fixed an issue regarding the jqxListBox width and height properties.
Fixed an issue regarding the jqxTree items rendering.
Fixed an issue regarding the jqxPanel and jqxTree horizontal scrolling.
Fixed an issue regarding the jqxListBox horizontal scrolling.
Fixed an issue regarding the jqxDropDownList auto-height functionality.
Fixed an issue regarding the jqxNumberInput spin buttons rendering.
Fixed an issue regarding the jqxNumberInput keyboard input.
Fixed an issue regarding the jqxNumberInput digits property.
Fixed an issue regarding the jqxWindow dragging on touch devices.
Fixed an issue regarding the jqxWindow closed event.
Fixed an issue regarding the jqxWindow's rendering on devices with Android.
Fixed an issue regarding the jqxWindow rendering in IE9.
Foxed an issue regarding the jqxSlider, jqxSplitter and jqxWindow widgets when they are rendered in iframes.
Fixed an issue regarding the jqxCalendar title rendering.

*********************************************
* jQWidgets v1.4.1 Release, JAN-21-2012     *
*********************************************

What's New:

jqxGrid Filtering.

What's Improved:

jqxGrid API Improvements. Added new properties that allow you to show/hide sort, filter and pinned columns background.

What's Fixed:

Fixed an issue regarding the jqxGrid grouping feature when paging is enabled. Groups states were not correctly initialized.
Fixed an issue regarding the jqxGrid column's groupable property. 
Fixed an issue regarding the jqxGrid pager's dropdownlist. 
Fixed an issue regarding the jqxGrid columns initialization.
Fixed an issue regarding the jqxGrid rows selection when the user clicks a column header. 
Fixed an issue regarding the toggle behavior of the jqxGrid column's menu dropdown button.
Fixed an issue regarding the jqxMenu selection.
Fixed an issue regarding the jqxTabs events.
Fixed an issue regarding the jqxComboBox tab navigation.
Fixed an issue regarding the jqxComboBox Popup when multiple widgets are added to the page.
Fixed an issue regarding the jqxComboBox keyboard navigation.
Fixed an issue regarding the jqxDropDownList Popup when multiple widgets are added to the page.
Fixed an issue regarding the jqxComboBox and jqxDropDownList and the changing of the 'source' property.

*********************************************
* jQWidgets v1.4 Release, JAN-12-2012       *
*********************************************

What's New:

jQuery Grid - jqxgrid.js

What's Improved:

Classic Theme.
ListBox scrolling performance.
DateTimeInput keyboard input. 
DateTimeInput spin functionality with the mouse's wheel.

What's Fixed:

Fixed an issue regarding the jqxProgressBar text positioning.
Fixed an issue regarding the jqxProgressBar value element rendering.
Fixed an issue regarding the jqxPanel horizontal scrolling.
Fixed an issue regarding the jqxTree items rendering.
Fixed an issue regarding the jqxMenu's top-level arrows rendering.
Fixed an issue regarding the jqxScrollBar when the scrollbar is used in iframe and the mouse button is released outside the 

iframe bounds.
Fixed an issue regarding the jqxTree, jqxPanel and jqxListBox mouse wheel event.
Fixed an issue regarding the jqxComboBox when the auto-complete mode is enabled and there's no mathing items.

*********************************************
* jQWidgets v1.3 Release, DEC-19-2011     *
*********************************************

What's New:

jQuery Splitter - jqxsplitter.js

What's Improved:

jqxSlider vertical orientation.
jqxDropDownList has a new option to automatically set its height to the summary height of all list items.

What's Fixed:

Fixed an issue regarding the jqxMenu's setItemOpenDirection function.
Fixed an issue regarding the jqxMenu's auto-close behavior when multiple menus are displayed on the page.
Fixed an issue regarding the jqxMenu's z-index when the menu's mode is context menu.
Fixed an issue regarding the jqxSlider's rendering.
Fixed an issue regarding the jqxWindow's rendering.
Fixed an issue regarding the jqxWindow's close button. jqxwindow is now closed after click on the close button instead of 

mouse down.
Fixed an issue regarding the jqxDropDownList automatic popup closing.
Fixed an issue regarding the jqxDropDownList dropDownHeight property.
Fixed an issue regarding the jqxTree's expand/collapse arrows. 
Fixed an issue regarding the jqxTree's width and height properties when they are changed dynamically.
Fixed an issue regarding the jqxTree's horizontal scrolling.
Fixed an issue regarding the jqxListBox's enableHover property when it is changed dynamically.
Fixed an issue regarding the jqxDateTimeInput's valuechanged event when the user hits the up/down arrow keys.
Fixed an issue regarding the jqxPanel's layout.

*********************************************
* jQWidgets v1.2.1 Release, NOV-28-2011     *
*********************************************

What's Fixed:

Fixed an issue regarding the jqxSlider's thumb dragging on touch devices when the range slider mode is enabled. 
Fixed an issue regarding the jqxMenu's closeItem function.
Fixed an issue regarding the jqxWindow's dragging on touch devices.
Fixed an issue regarding the jqxRating mouse click behavior.
Fixed an issue regarding the jqxListBox auto-height behavior.

*********************************************
* jQWidgets v1.2 Release, NOV-21-2011       *
*********************************************

What's New:

Slider - jqxslider.js 
Window - jqxwindow.js 

What's Improved:

- jqxNumberInput - added spin buttons for increase/decrease the input value. 
- Appearance and Styling of jqxListBox, jqxDropDownList, jqxComboBox and jqxPanel 

What's Fixed:

- jqxNumberInput, jqxMaskedInput - issue regarding the keyboard input from the numpad. 
- jqxTabs - issue regarding dynamically changing the jqxTabs width or height. 
- jqxTabs - issue regarding the scrolling behavior. 
- jqxTabs - issue regarding the tabs content scrolling. 
- jqxRepeatButton - issue regarding the mouse up event. 
- jqxMenu - issue regarding the disable function which enables or disables menu items. 
- jqxComboBox, jqxDropDownList - fixed an issue regarding the scrollBarSize property. 


*********************************************
* jQWidgets v1.1.1 Release, NOV-04-2011     *
*********************************************

What's Improved:

jqxDateTimeInput - save and restore of the entered Date with cookies.
jqxTooltip - show and hide animation 

What's Fixed:

jqxListBox unselect event arguments issue in multiple selection mode.
jqxListBox and jqxDropDownList issue regarding the 'loadFromSelect' functionality.
jqxDateTimeInput issue regarding calendar selection.
jqxDateTimeInput issue regarding the valuechanged event when the user inputs hours, minutes or seconds.
jqxNumberInput, jqxDateTimeInput, jqxMaskedInput - issue regarding Form reset
jqxTabs - issue regarding the tabs scrolling
jqxTabs - issue regarding the tabs rendering when the tabs position is bottom.
jqxTabs - issue regarding dynamically switching the tabs positions - from top to bottom and bottom to top at runtime.
jqxTabs - issue regarding the tabs rounded corners. 
jqxTabs - issue regarding the tabs hover state in MSIE. 
jqxScrollBar - issue regarding thumb dragging in MSIE.

*********************************************
* jQWidgets v1.1 Release, OCT-18-2011       *
*********************************************

What's New:

Tree - jqxtree.js
Tabs - jqxtabs.js
CheckBox - jqxcheckbox.js
Radio Button - jqxradiobutton.js
Rating - jqxrating.js
Implemented Touch Scrolling behavior for jqxListBox, jqxPanel, jqxTree and jqxDropDownList. End-users can now scroll the 

content of these widgets via touch gestures.
Summer Theme - jqx.summer.css


What's Improved
 
    - jqxListBox and jqxDropDownList performance.
    - Implemented auto-sizing options to jqxPanel.
    - Improved jqxPanel API by providing functions for dynamic append, prepend and remove of elements.
    - Improved jqxListBox and jqxDropDownList by providing support for list items with checkboxes.
    - Improved jqxListBox API by providing new functions for handling the items selection.
    - Improved jqxCalendar event handling.
    - Implemented auto-closing behavior of the jqxMenu through the autoCloseInterval property. 
    - Implemented auto-closing behavior of the jqxMenu through the autoCloseOnBlur. All sub menus are closed when the menu 

loses the focus.
    - jqxScrollBar has a new option which allows you to hide the scroll buttons.

What's Fixed:

- Theming Padding and Margin issues.

- jqxListBox, jqxDropDownList

   - Keyboard Navigation issue
   - Browser Selection issue. When the end-user double-clicks on an item, its text becomes selected.      
   - Issue regarding the 'unselect' event.
   - Issue regarding the 'hover' state.
   - Issue regarding the vertical scrolling.
   - Issue regarding the jqxDropDownList's Popup Open/Close behavior.

- jqxNumberInput, jqxMaskedInput

   - Issue regarding the rounded corners.
   - Issue regarding the valuechanged event.   

- jqxPanel

    - Vertical ScrollBar auto-hide issue.

- jqxMenu

    - Issue regarding closing of all menu items after a click event.  
    - Issue regarding the item navigation.
    - Issue regarding the 'itemclick' event.
    - Issue regarding the 'autoopen' functionality. 

- jqxCalendar

    - Issue regarding the navigation.

- jqxExpander

    - Issue regarding the styling.
